#include "windows_version.h"
#include <memory.h>
#include <caml/mlvalues.h>
#include <caml/socketaddr.h>
#include <caml/threads.h>
#include <uv.h>
#include "helpers.h"
#include "ctypes_cstubs_internals.h"
value luv_stub_1_uv_strerror_r(value x3, value x2, value x1)
{
   int x4 = Long_val(x3);
   unsigned char* x7 = CTYPES_PTR_OF_OCAML_BYTES(x2);
   int x8 = Long_val(x1);
   uv_strerror_r(x4, x7, x8);
   return Val_unit;
}
value luv_stub_2_uv_err_name_r(value x14, value x13, value x12)
{
   int x15 = Long_val(x14);
   unsigned char* x18 = CTYPES_PTR_OF_OCAML_BYTES(x13);
   int x19 = Long_val(x12);
   uv_err_name_r(x15, x18, x19);
   return Val_unit;
}
value luv_stub_3_uv_translate_sys_error(value x23)
{
   int x24 = Long_val(x23);
   int x27 = uv_translate_sys_error(x24);
   return Val_long(x27);
}
value luv_stub_4_luv_version_suffix(value x28)
{
   char* x29 = luv_version_suffix();
   return CTYPES_FROM_PTR(x29);
}
value luv_stub_5_uv_version(value x30)
{
   int x31 = uv_version();
   return Val_long(x31);
}
value luv_stub_6_luv_version_string(value x32)
{
   char* x33 = luv_version_string();
   return CTYPES_FROM_PTR(x33);
}
value luv_stub_7_uv_loop_init(value x34)
{
   uv_loop_t* x35 = CTYPES_ADDR_OF_FATPTR(x34);
   int x36 = uv_loop_init(x35);
   return Val_long(x36);
}
value luv_stub_8_uv_loop_configure(value x39, value x38, value x37)
{
   uv_loop_t* x40 = CTYPES_ADDR_OF_FATPTR(x39);
   int x41 = Long_val(x38);
   int x44 = Long_val(x37);
   int x47 = uv_loop_configure(x40, x41, x44);
   return Val_long(x47);
}
value luv_stub_9_uv_loop_close(value x48)
{
   uv_loop_t* x49 = CTYPES_ADDR_OF_FATPTR(x48);
   int x50 = uv_loop_close(x49);
   return Val_long(x50);
}
value luv_stub_10_uv_default_loop(value x51)
{
   uv_loop_t* x52 = uv_default_loop();
   return CTYPES_FROM_PTR(x52);
}
value luv_stub_11_uv_loop_alive(value x53)
{
   uv_loop_t* x54 = CTYPES_ADDR_OF_FATPTR(x53);
   _Bool x55 = uv_loop_alive(x54);
   return Val_bool(x55);
}
value luv_stub_12_uv_stop(value x56)
{
   uv_loop_t* x57 = CTYPES_ADDR_OF_FATPTR(x56);
   uv_stop(x57);
   return Val_unit;
}
value luv_stub_13_uv_backend_fd(value x59)
{
   uv_loop_t* x60 = CTYPES_ADDR_OF_FATPTR(x59);
   int x61 = uv_backend_fd(x60);
   return Val_long(x61);
}
value luv_stub_14_uv_backend_timeout(value x62)
{
   uv_loop_t* x63 = CTYPES_ADDR_OF_FATPTR(x62);
   int x64 = uv_backend_timeout(x63);
   return Val_long(x64);
}
value luv_stub_15_uv_now(value x65)
{
   uv_loop_t* x66 = CTYPES_ADDR_OF_FATPTR(x65);
   uint64_t x67 = uv_now(x66);
   return integers_copy_uint64(x67);
}
value luv_stub_16_uv_update_time(value x68)
{
   uv_loop_t* x69 = CTYPES_ADDR_OF_FATPTR(x68);
   uv_update_time(x69);
   return Val_unit;
}
value luv_stub_17_uv_loop_fork(value x71)
{
   uv_loop_t* x72 = CTYPES_ADDR_OF_FATPTR(x71);
   int x73 = uv_loop_fork(x72);
   return Val_long(x73);
}
value luv_stub_18_uv_library_shutdown(value x74)
{
   uv_library_shutdown();
   return Val_unit;
}
value luv_stub_19_luv_get_close_trampoline(value x76)
{
   void(* x77)(uv_handle_t*) = luv_get_close_trampoline();
   return CTYPES_FROM_PTR(x77);
}
value luv_stub_20_luv_get_alloc_trampoline(value x78)
{
   void(* x79)(uv_handle_t*, size_t, uv_buf_t*) = luv_get_alloc_trampoline();
   return CTYPES_FROM_PTR(x79);
}
value luv_stub_21_uv_is_active(value x80)
{
   uv_handle_t* x81 = CTYPES_ADDR_OF_FATPTR(x80);
   _Bool x82 = uv_is_active(x81);
   return Val_bool(x82);
}
value luv_stub_22_uv_is_closing(value x83)
{
   uv_handle_t* x84 = CTYPES_ADDR_OF_FATPTR(x83);
   _Bool x85 = uv_is_closing(x84);
   return Val_bool(x85);
}
value luv_stub_23_uv_close(value x87, value x86)
{
   uv_handle_t* x88 = CTYPES_ADDR_OF_FATPTR(x87);
   void(* x89)(uv_handle_t*) = CTYPES_ADDR_OF_FATPTR(x86);
   uv_close(x88, x89);
   return Val_unit;
}
value luv_stub_24_uv_ref(value x91)
{
   uv_handle_t* x92 = CTYPES_ADDR_OF_FATPTR(x91);
   uv_ref(x92);
   return Val_unit;
}
value luv_stub_25_uv_unref(value x94)
{
   uv_handle_t* x95 = CTYPES_ADDR_OF_FATPTR(x94);
   uv_unref(x95);
   return Val_unit;
}
value luv_stub_26_uv_has_ref(value x97)
{
   uv_handle_t* x98 = CTYPES_ADDR_OF_FATPTR(x97);
   _Bool x99 = uv_has_ref(x98);
   return Val_bool(x99);
}
value luv_stub_27_uv_send_buffer_size(value x101, value x100)
{
   uv_handle_t* x102 = CTYPES_ADDR_OF_FATPTR(x101);
   int* x103 = CTYPES_ADDR_OF_FATPTR(x100);
   int x104 = uv_send_buffer_size(x102, x103);
   return Val_long(x104);
}
value luv_stub_28_uv_recv_buffer_size(value x106, value x105)
{
   uv_handle_t* x107 = CTYPES_ADDR_OF_FATPTR(x106);
   int* x108 = CTYPES_ADDR_OF_FATPTR(x105);
   int x109 = uv_recv_buffer_size(x107, x108);
   return Val_long(x109);
}
value luv_stub_29_uv_fileno(value x111, value x110)
{
   uv_handle_t* x112 = CTYPES_ADDR_OF_FATPTR(x111);
   uv_os_fd_t* x113 = CTYPES_ADDR_OF_FATPTR(x110);
   int x114 = uv_fileno(x112, x113);
   return Val_long(x114);
}
value luv_stub_30_uv_handle_get_loop(value x115)
{
   uv_handle_t* x116 = CTYPES_ADDR_OF_FATPTR(x115);
   uv_loop_t* x117 = uv_handle_get_loop(x116);
   return CTYPES_FROM_PTR(x117);
}
value luv_stub_31_uv_handle_get_data(value x118)
{
   uv_handle_t* x119 = CTYPES_ADDR_OF_FATPTR(x118);
   void* x120 = uv_handle_get_data(x119);
   return CTYPES_FROM_PTR(x120);
}
value luv_stub_32_uv_handle_set_data(value x122, value x121)
{
   uv_handle_t* x123 = CTYPES_ADDR_OF_FATPTR(x122);
   void* x124 = CTYPES_ADDR_OF_FATPTR(x121);
   uv_handle_set_data(x123, x124);
   return Val_unit;
}
value luv_stub_33_uv_cancel(value x126)
{
   uv_req_t* x127 = CTYPES_ADDR_OF_FATPTR(x126);
   int x128 = uv_cancel(x127);
   return Val_long(x128);
}
value luv_stub_34_uv_req_get_data(value x129)
{
   uv_req_t* x130 = CTYPES_ADDR_OF_FATPTR(x129);
   void* x131 = uv_req_get_data(x130);
   return CTYPES_FROM_PTR(x131);
}
value luv_stub_35_uv_req_set_data(value x133, value x132)
{
   uv_req_t* x134 = CTYPES_ADDR_OF_FATPTR(x133);
   void* x135 = CTYPES_ADDR_OF_FATPTR(x132);
   uv_req_set_data(x134, x135);
   return Val_unit;
}
value luv_stub_36_luv_get_timer_trampoline(value x137)
{
   void(* x138)(uv_timer_t*) = luv_get_timer_trampoline();
   return CTYPES_FROM_PTR(x138);
}
value luv_stub_37_uv_timer_init(value x140, value x139)
{
   uv_loop_t* x141 = CTYPES_ADDR_OF_FATPTR(x140);
   uv_timer_t* x142 = CTYPES_ADDR_OF_FATPTR(x139);
   int x143 = uv_timer_init(x141, x142);
   return Val_long(x143);
}
value luv_stub_38_uv_timer_start(value x147, value x146, value x145,
                                 value x144)
{
   uv_timer_t* x148 = CTYPES_ADDR_OF_FATPTR(x147);
   void(* x149)(uv_timer_t*) = CTYPES_ADDR_OF_FATPTR(x146);
   uint64_t x150 = Uint64_val(x145);
   uint64_t x153 = Uint64_val(x144);
   int x156 = uv_timer_start(x148, x149, x150, x153);
   return Val_long(x156);
}
value luv_stub_39_uv_timer_stop(value x157)
{
   uv_timer_t* x158 = CTYPES_ADDR_OF_FATPTR(x157);
   int x159 = uv_timer_stop(x158);
   return Val_long(x159);
}
value luv_stub_40_uv_timer_again(value x160)
{
   uv_timer_t* x161 = CTYPES_ADDR_OF_FATPTR(x160);
   int x162 = uv_timer_again(x161);
   return Val_long(x162);
}
value luv_stub_41_uv_timer_set_repeat(value x164, value x163)
{
   uv_timer_t* x165 = CTYPES_ADDR_OF_FATPTR(x164);
   uint64_t x166 = Uint64_val(x163);
   uv_timer_set_repeat(x165, x166);
   return Val_unit;
}
value luv_stub_42_uv_timer_get_repeat(value x170)
{
   uv_timer_t* x171 = CTYPES_ADDR_OF_FATPTR(x170);
   uint64_t x172 = uv_timer_get_repeat(x171);
   return integers_copy_uint64(x172);
}
value luv_stub_43_uv_timer_get_due_in(value x173)
{
   uv_timer_t* x174 = CTYPES_ADDR_OF_FATPTR(x173);
   uint64_t x175 = uv_timer_get_due_in(x174);
   return integers_copy_uint64(x175);
}
value luv_stub_44_luv_get_prepare_trampoline(value x176)
{
   void(* x177)(uv_prepare_t*) = luv_get_prepare_trampoline();
   return CTYPES_FROM_PTR(x177);
}
value luv_stub_45_uv_prepare_init(value x179, value x178)
{
   uv_loop_t* x180 = CTYPES_ADDR_OF_FATPTR(x179);
   uv_prepare_t* x181 = CTYPES_ADDR_OF_FATPTR(x178);
   int x182 = uv_prepare_init(x180, x181);
   return Val_long(x182);
}
value luv_stub_46_uv_prepare_start(value x184, value x183)
{
   uv_prepare_t* x185 = CTYPES_ADDR_OF_FATPTR(x184);
   void(* x186)(uv_prepare_t*) = CTYPES_ADDR_OF_FATPTR(x183);
   int x187 = uv_prepare_start(x185, x186);
   return Val_long(x187);
}
value luv_stub_47_uv_prepare_stop(value x188)
{
   uv_prepare_t* x189 = CTYPES_ADDR_OF_FATPTR(x188);
   int x190 = uv_prepare_stop(x189);
   return Val_long(x190);
}
value luv_stub_48_luv_get_check_trampoline(value x191)
{
   void(* x192)(uv_check_t*) = luv_get_check_trampoline();
   return CTYPES_FROM_PTR(x192);
}
value luv_stub_49_uv_check_init(value x194, value x193)
{
   uv_loop_t* x195 = CTYPES_ADDR_OF_FATPTR(x194);
   uv_check_t* x196 = CTYPES_ADDR_OF_FATPTR(x193);
   int x197 = uv_check_init(x195, x196);
   return Val_long(x197);
}
value luv_stub_50_uv_check_start(value x199, value x198)
{
   uv_check_t* x200 = CTYPES_ADDR_OF_FATPTR(x199);
   void(* x201)(uv_check_t*) = CTYPES_ADDR_OF_FATPTR(x198);
   int x202 = uv_check_start(x200, x201);
   return Val_long(x202);
}
value luv_stub_51_uv_check_stop(value x203)
{
   uv_check_t* x204 = CTYPES_ADDR_OF_FATPTR(x203);
   int x205 = uv_check_stop(x204);
   return Val_long(x205);
}
value luv_stub_52_luv_get_idle_trampoline(value x206)
{
   void(* x207)(uv_idle_t*) = luv_get_idle_trampoline();
   return CTYPES_FROM_PTR(x207);
}
value luv_stub_53_uv_idle_init(value x209, value x208)
{
   uv_loop_t* x210 = CTYPES_ADDR_OF_FATPTR(x209);
   uv_idle_t* x211 = CTYPES_ADDR_OF_FATPTR(x208);
   int x212 = uv_idle_init(x210, x211);
   return Val_long(x212);
}
value luv_stub_54_uv_idle_start(value x214, value x213)
{
   uv_idle_t* x215 = CTYPES_ADDR_OF_FATPTR(x214);
   void(* x216)(uv_idle_t*) = CTYPES_ADDR_OF_FATPTR(x213);
   int x217 = uv_idle_start(x215, x216);
   return Val_long(x217);
}
value luv_stub_55_uv_idle_stop(value x218)
{
   uv_idle_t* x219 = CTYPES_ADDR_OF_FATPTR(x218);
   int x220 = uv_idle_stop(x219);
   return Val_long(x220);
}
value luv_stub_56_luv_get_async_trampoline(value x221)
{
   void(* x222)(uv_async_t*) = luv_get_async_trampoline();
   return CTYPES_FROM_PTR(x222);
}
value luv_stub_57_uv_async_init(value x225, value x224, value x223)
{
   uv_loop_t* x226 = CTYPES_ADDR_OF_FATPTR(x225);
   uv_async_t* x227 = CTYPES_ADDR_OF_FATPTR(x224);
   void(* x228)(uv_async_t*) = CTYPES_ADDR_OF_FATPTR(x223);
   int x229 = uv_async_init(x226, x227, x228);
   return Val_long(x229);
}
value luv_stub_58_uv_async_send(value x230)
{
   uv_async_t* x231 = CTYPES_ADDR_OF_FATPTR(x230);
   int x232 = uv_async_send(x231);
   return Val_long(x232);
}
value luv_stub_59_luv_get_poll_trampoline(value x233)
{
   void(* x234)(uv_poll_t*, int, int) = luv_get_poll_trampoline();
   return CTYPES_FROM_PTR(x234);
}
value luv_stub_60_uv_poll_init(value x237, value x236, value x235)
{
   uv_loop_t* x238 = CTYPES_ADDR_OF_FATPTR(x237);
   uv_poll_t* x239 = CTYPES_ADDR_OF_FATPTR(x236);
   int x240 = Long_val(x235);
   int x243 = uv_poll_init(x238, x239, x240);
   return Val_long(x243);
}
value luv_stub_61_uv_poll_init_socket(value x246, value x245, value x244)
{
   uv_loop_t* x247 = CTYPES_ADDR_OF_FATPTR(x246);
   uv_poll_t* x248 = CTYPES_ADDR_OF_FATPTR(x245);
   void* x249 = CTYPES_ADDR_OF_FATPTR(x244);
   uv_os_sock_t x251 = *(uv_os_sock_t*)x249;
   int x252 = uv_poll_init_socket(x247, x248, x251);
   return Val_long(x252);
}
value luv_stub_62_uv_poll_start(value x255, value x254, value x253)
{
   uv_poll_t* x256 = CTYPES_ADDR_OF_FATPTR(x255);
   int x257 = Long_val(x254);
   void(* x260)(uv_poll_t*, int, int) = CTYPES_ADDR_OF_FATPTR(x253);
   int x261 = uv_poll_start(x256, x257, x260);
   return Val_long(x261);
}
value luv_stub_63_uv_poll_stop(value x262)
{
   uv_poll_t* x263 = CTYPES_ADDR_OF_FATPTR(x262);
   int x264 = uv_poll_stop(x263);
   return Val_long(x264);
}
value luv_stub_64_luv_get_signal_trampoline(value x265)
{
   void(* x266)(uv_signal_t*, int) = luv_get_signal_trampoline();
   return CTYPES_FROM_PTR(x266);
}
value luv_stub_65_uv_signal_init(value x268, value x267)
{
   uv_loop_t* x269 = CTYPES_ADDR_OF_FATPTR(x268);
   uv_signal_t* x270 = CTYPES_ADDR_OF_FATPTR(x267);
   int x271 = uv_signal_init(x269, x270);
   return Val_long(x271);
}
value luv_stub_66_uv_signal_start(value x274, value x273, value x272)
{
   uv_signal_t* x275 = CTYPES_ADDR_OF_FATPTR(x274);
   void(* x276)(uv_signal_t*, int) = CTYPES_ADDR_OF_FATPTR(x273);
   int x277 = Long_val(x272);
   int x280 = uv_signal_start(x275, x276, x277);
   return Val_long(x280);
}
value luv_stub_67_uv_signal_start_oneshot(value x283, value x282, value x281)
{
   uv_signal_t* x284 = CTYPES_ADDR_OF_FATPTR(x283);
   void(* x285)(uv_signal_t*, int) = CTYPES_ADDR_OF_FATPTR(x282);
   int x286 = Long_val(x281);
   int x289 = uv_signal_start_oneshot(x284, x285, x286);
   return Val_long(x289);
}
value luv_stub_68_uv_signal_stop(value x290)
{
   uv_signal_t* x291 = CTYPES_ADDR_OF_FATPTR(x290);
   int x292 = uv_signal_stop(x291);
   return Val_long(x292);
}
value luv_stub_69_luv_get_connect_trampoline(value x293)
{
   void(* x294)(uv_connect_t*, int) = luv_get_connect_trampoline();
   return CTYPES_FROM_PTR(x294);
}
value luv_stub_70_luv_get_shutdown_trampoline(value x295)
{
   void(* x296)(uv_shutdown_t*, int) = luv_get_shutdown_trampoline();
   return CTYPES_FROM_PTR(x296);
}
value luv_stub_71_luv_get_write_trampoline(value x297)
{
   void(* x298)(uv_write_t*, int) = luv_get_write_trampoline();
   return CTYPES_FROM_PTR(x298);
}
value luv_stub_72_luv_get_connection_trampoline(value x299)
{
   void(* x300)(uv_stream_t*, int) = luv_get_connection_trampoline();
   return CTYPES_FROM_PTR(x300);
}
value luv_stub_73_luv_get_read_trampoline(value x301)
{
   void(* x302)(uv_stream_t*, ssize_t, uv_buf_t*) = luv_get_read_trampoline();
   return CTYPES_FROM_PTR(x302);
}
value luv_stub_74_uv_shutdown(value x305, value x304, value x303)
{
   uv_shutdown_t* x306 = CTYPES_ADDR_OF_FATPTR(x305);
   uv_stream_t* x307 = CTYPES_ADDR_OF_FATPTR(x304);
   void(* x308)(uv_shutdown_t*, int) = CTYPES_ADDR_OF_FATPTR(x303);
   int x309 = uv_shutdown(x306, x307, x308);
   return Val_long(x309);
}
value luv_stub_75_uv_listen(value x312, value x311, value x310)
{
   uv_stream_t* x313 = CTYPES_ADDR_OF_FATPTR(x312);
   int x314 = Long_val(x311);
   void(* x317)(uv_stream_t*, int) = CTYPES_ADDR_OF_FATPTR(x310);
   int x318 = uv_listen(x313, x314, x317);
   return Val_long(x318);
}
value luv_stub_76_uv_accept(value x320, value x319)
{
   uv_stream_t* x321 = CTYPES_ADDR_OF_FATPTR(x320);
   uv_stream_t* x322 = CTYPES_ADDR_OF_FATPTR(x319);
   int x323 = uv_accept(x321, x322);
   return Val_long(x323);
}
value luv_stub_77_luv_read_start(value x326, value x325, value x324)
{
   uv_stream_t* x327 = CTYPES_ADDR_OF_FATPTR(x326);
   void(* x328)(uv_handle_t*, size_t, uv_buf_t*) =
   CTYPES_ADDR_OF_FATPTR(x325);
   void(* x329)(uv_stream_t*, ssize_t, uv_buf_t*) =
   CTYPES_ADDR_OF_FATPTR(x324);
   int x330 = luv_read_start(x327, x328, x329);
   return Val_long(x330);
}
value luv_stub_78_uv_read_stop(value x331)
{
   uv_stream_t* x332 = CTYPES_ADDR_OF_FATPTR(x331);
   int x333 = uv_read_stop(x332);
   return Val_long(x333);
}
value luv_stub_79_uv_write2(value x339, value x338, value x337, value x336,
                            value x335, value x334)
{
   uv_write_t* x340 = CTYPES_ADDR_OF_FATPTR(x339);
   uv_stream_t* x341 = CTYPES_ADDR_OF_FATPTR(x338);
   uv_buf_t* x342 = CTYPES_ADDR_OF_FATPTR(x337);
   unsigned int x343 = ctypes_uint_val(x336);
   uv_stream_t* x346 = CTYPES_ADDR_OF_FATPTR(x335);
   void(* x347)(uv_write_t*, int) = CTYPES_ADDR_OF_FATPTR(x334);
   int x348 = uv_write2(x340, x341, x342, x343, x346, x347);
   return Val_long(x348);
}
value luv_stub_79_uv_write2_byte6(value* argv, int argc)
{
   value x349 = argv[5];
   value x350 = argv[4];
   value x351 = argv[3];
   value x352 = argv[2];
   value x353 = argv[1];
   value x354 = argv[0];
   return luv_stub_79_uv_write2(x354, x353, x352, x351, x350, x349);
}
value luv_stub_80_uv_try_write(value x357, value x356, value x355)
{
   uv_stream_t* x358 = CTYPES_ADDR_OF_FATPTR(x357);
   uv_buf_t* x359 = CTYPES_ADDR_OF_FATPTR(x356);
   unsigned int x360 = ctypes_uint_val(x355);
   int x363 = uv_try_write(x358, x359, x360);
   return Val_long(x363);
}
value luv_stub_81_uv_is_readable(value x364)
{
   uv_stream_t* x365 = CTYPES_ADDR_OF_FATPTR(x364);
   _Bool x366 = uv_is_readable(x365);
   return Val_bool(x366);
}
value luv_stub_82_uv_is_writable(value x367)
{
   uv_stream_t* x368 = CTYPES_ADDR_OF_FATPTR(x367);
   _Bool x369 = uv_is_writable(x368);
   return Val_bool(x369);
}
value luv_stub_83_uv_stream_set_blocking(value x371, value x370)
{
   uv_stream_t* x372 = CTYPES_ADDR_OF_FATPTR(x371);
   _Bool x373 = Bool_val(x370);
   int x376 = uv_stream_set_blocking(x372, x373);
   return Val_long(x376);
}
value luv_stub_84_uv_stream_get_write_queue_size(value x377)
{
   uv_stream_t* x378 = CTYPES_ADDR_OF_FATPTR(x377);
   size_t x379 = uv_stream_get_write_queue_size(x378);
   return ctypes_copy_size_t(x379);
}
value luv_stub_85_uv_tcp_init(value x381, value x380)
{
   uv_loop_t* x382 = CTYPES_ADDR_OF_FATPTR(x381);
   uv_tcp_t* x383 = CTYPES_ADDR_OF_FATPTR(x380);
   int x384 = uv_tcp_init(x382, x383);
   return Val_long(x384);
}
value luv_stub_86_uv_tcp_init_ex(value x387, value x386, value x385)
{
   uv_loop_t* x388 = CTYPES_ADDR_OF_FATPTR(x387);
   uv_tcp_t* x389 = CTYPES_ADDR_OF_FATPTR(x386);
   unsigned int x390 = ctypes_uint_val(x385);
   int x393 = uv_tcp_init_ex(x388, x389, x390);
   return Val_long(x393);
}
value luv_stub_87_uv_tcp_open(value x395, value x394)
{
   uv_tcp_t* x396 = CTYPES_ADDR_OF_FATPTR(x395);
   void* x397 = CTYPES_ADDR_OF_FATPTR(x394);
   uv_os_sock_t x399 = *(uv_os_sock_t*)x397;
   int x400 = uv_tcp_open(x396, x399);
   return Val_long(x400);
}
value luv_stub_88_uv_socketpair(value x405, value x404, value x403,
                                value x402, value x401)
{
   int x406 = Long_val(x405);
   int x409 = Long_val(x404);
   uv_os_sock_t* x412 = CTYPES_ADDR_OF_FATPTR(x403);
   int x413 = Long_val(x402);
   int x416 = Long_val(x401);
   int x419 = uv_socketpair(x406, x409, x412, x413, x416);
   return Val_long(x419);
}
value luv_stub_89_uv_tcp_nodelay(value x421, value x420)
{
   uv_tcp_t* x422 = CTYPES_ADDR_OF_FATPTR(x421);
   _Bool x423 = Bool_val(x420);
   int x426 = uv_tcp_nodelay(x422, x423);
   return Val_long(x426);
}
value luv_stub_90_uv_tcp_keepalive(value x429, value x428, value x427)
{
   uv_tcp_t* x430 = CTYPES_ADDR_OF_FATPTR(x429);
   _Bool x431 = Bool_val(x428);
   int x434 = Long_val(x427);
   int x437 = uv_tcp_keepalive(x430, x431, x434);
   return Val_long(x437);
}
value luv_stub_91_uv_tcp_simultaneous_accepts(value x439, value x438)
{
   uv_tcp_t* x440 = CTYPES_ADDR_OF_FATPTR(x439);
   _Bool x441 = Bool_val(x438);
   int x444 = uv_tcp_simultaneous_accepts(x440, x441);
   return Val_long(x444);
}
value luv_stub_92_uv_tcp_bind(value x447, value x446, value x445)
{
   uv_tcp_t* x448 = CTYPES_ADDR_OF_FATPTR(x447);
   struct sockaddr* x449 = CTYPES_ADDR_OF_FATPTR(x446);
   int x450 = Long_val(x445);
   int x453 = uv_tcp_bind(x448, x449, x450);
   return Val_long(x453);
}
value luv_stub_93_uv_tcp_getsockname(value x456, value x455, value x454)
{
   uv_tcp_t* x457 = CTYPES_ADDR_OF_FATPTR(x456);
   struct sockaddr* x458 = CTYPES_ADDR_OF_FATPTR(x455);
   int* x459 = CTYPES_ADDR_OF_FATPTR(x454);
   int x460 = uv_tcp_getsockname(x457, x458, x459);
   return Val_long(x460);
}
value luv_stub_94_uv_tcp_getpeername(value x463, value x462, value x461)
{
   uv_tcp_t* x464 = CTYPES_ADDR_OF_FATPTR(x463);
   struct sockaddr* x465 = CTYPES_ADDR_OF_FATPTR(x462);
   int* x466 = CTYPES_ADDR_OF_FATPTR(x461);
   int x467 = uv_tcp_getpeername(x464, x465, x466);
   return Val_long(x467);
}
value luv_stub_95_uv_tcp_connect(value x471, value x470, value x469,
                                 value x468)
{
   uv_connect_t* x472 = CTYPES_ADDR_OF_FATPTR(x471);
   uv_tcp_t* x473 = CTYPES_ADDR_OF_FATPTR(x470);
   struct sockaddr* x474 = CTYPES_ADDR_OF_FATPTR(x469);
   void(* x475)(uv_connect_t*, int) = CTYPES_ADDR_OF_FATPTR(x468);
   int x476 = uv_tcp_connect(x472, x473, x474, x475);
   return Val_long(x476);
}
value luv_stub_96_uv_tcp_close_reset(value x478, value x477)
{
   uv_tcp_t* x479 = CTYPES_ADDR_OF_FATPTR(x478);
   void(* x480)(uv_handle_t*) = CTYPES_ADDR_OF_FATPTR(x477);
   int x481 = uv_tcp_close_reset(x479, x480);
   return Val_long(x481);
}
value luv_stub_97_uv_pipe_init(value x484, value x483, value x482)
{
   uv_loop_t* x485 = CTYPES_ADDR_OF_FATPTR(x484);
   uv_pipe_t* x486 = CTYPES_ADDR_OF_FATPTR(x483);
   _Bool x487 = Bool_val(x482);
   int x490 = uv_pipe_init(x485, x486, x487);
   return Val_long(x490);
}
value luv_stub_98_uv_pipe(value x493, value x492, value x491)
{
   int* x494 = CTYPES_ADDR_OF_FATPTR(x493);
   int x495 = Long_val(x492);
   int x498 = Long_val(x491);
   int x501 = uv_pipe(x494, x495, x498);
   return Val_long(x501);
}
value luv_stub_99_uv_pipe_open(value x503, value x502)
{
   uv_pipe_t* x504 = CTYPES_ADDR_OF_FATPTR(x503);
   int x505 = Long_val(x502);
   int x508 = uv_pipe_open(x504, x505);
   return Val_long(x508);
}
value luv_stub_100_uv_pipe_connect(value x512, value x511, value x510,
                                   value x509)
{
   uv_connect_t* x513 = CTYPES_ADDR_OF_FATPTR(x512);
   uv_pipe_t* x514 = CTYPES_ADDR_OF_FATPTR(x511);
   char* x515 = CTYPES_PTR_OF_OCAML_STRING(x510);
   void(* x516)(uv_connect_t*, int) = CTYPES_ADDR_OF_FATPTR(x509);
   uv_pipe_connect(x513, x514, x515, x516);
   return Val_unit;
}
value luv_stub_101_uv_pipe_getsockname(value x520, value x519, value x518)
{
   uv_pipe_t* x521 = CTYPES_ADDR_OF_FATPTR(x520);
   unsigned char* x522 = CTYPES_PTR_OF_OCAML_BYTES(x519);
   size_t* x523 = CTYPES_ADDR_OF_FATPTR(x518);
   int x524 = uv_pipe_getsockname(x521, x522, x523);
   return Val_long(x524);
}
value luv_stub_102_uv_pipe_getpeername(value x527, value x526, value x525)
{
   uv_pipe_t* x528 = CTYPES_ADDR_OF_FATPTR(x527);
   unsigned char* x529 = CTYPES_PTR_OF_OCAML_BYTES(x526);
   size_t* x530 = CTYPES_ADDR_OF_FATPTR(x525);
   int x531 = uv_pipe_getpeername(x528, x529, x530);
   return Val_long(x531);
}
value luv_stub_103_uv_pipe_pending_instances(value x533, value x532)
{
   uv_pipe_t* x534 = CTYPES_ADDR_OF_FATPTR(x533);
   int x535 = Long_val(x532);
   uv_pipe_pending_instances(x534, x535);
   return Val_unit;
}
value luv_stub_104_uv_pipe_pending_count(value x539)
{
   uv_pipe_t* x540 = CTYPES_ADDR_OF_FATPTR(x539);
   int x541 = uv_pipe_pending_count(x540);
   return Val_long(x541);
}
value luv_stub_105_uv_pipe_pending_type(value x542)
{
   uv_pipe_t* x543 = CTYPES_ADDR_OF_FATPTR(x542);
   int x544 = uv_pipe_pending_type(x543);
   return Val_long(x544);
}
value luv_stub_106_uv_pipe_chmod(value x546, value x545)
{
   uv_pipe_t* x547 = CTYPES_ADDR_OF_FATPTR(x546);
   int x548 = Long_val(x545);
   int x551 = uv_pipe_chmod(x547, x548);
   return Val_long(x551);
}
value luv_stub_107_uv_tty_init(value x555, value x554, value x553,
                               value x552)
{
   uv_loop_t* x556 = CTYPES_ADDR_OF_FATPTR(x555);
   uv_tty_t* x557 = CTYPES_ADDR_OF_FATPTR(x554);
   int x558 = Long_val(x553);
   int x561 = Long_val(x552);
   int x564 = uv_tty_init(x556, x557, x558, x561);
   return Val_long(x564);
}
value luv_stub_108_uv_tty_set_mode(value x566, value x565)
{
   uv_tty_t* x567 = CTYPES_ADDR_OF_FATPTR(x566);
   uint32_t x568 = Uint32_val(x565);
   int x571 = uv_tty_set_mode(x567, x568);
   return Val_long(x571);
}
value luv_stub_109_uv_tty_reset_mode(value x572)
{
   int x573 = uv_tty_reset_mode();
   return Val_long(x573);
}
value luv_stub_110_uv_tty_get_winsize(value x576, value x575, value x574)
{
   uv_tty_t* x577 = CTYPES_ADDR_OF_FATPTR(x576);
   int* x578 = CTYPES_ADDR_OF_FATPTR(x575);
   int* x579 = CTYPES_ADDR_OF_FATPTR(x574);
   int x580 = uv_tty_get_winsize(x577, x578, x579);
   return Val_long(x580);
}
value luv_stub_111_uv_tty_set_vterm_state(value x581)
{
   uint32_t x582 = Uint32_val(x581);
   uv_tty_set_vterm_state(x582);
   return Val_unit;
}
value luv_stub_112_uv_tty_get_vterm_state(value x586)
{
   uv_tty_vtermstate_t* x587 = CTYPES_ADDR_OF_FATPTR(x586);
   int x588 = uv_tty_get_vterm_state(x587);
   return Val_long(x588);
}
value luv_stub_113_uv_udp_init(value x590, value x589)
{
   uv_loop_t* x591 = CTYPES_ADDR_OF_FATPTR(x590);
   uv_udp_t* x592 = CTYPES_ADDR_OF_FATPTR(x589);
   int x593 = uv_udp_init(x591, x592);
   return Val_long(x593);
}
value luv_stub_114_uv_udp_init_ex(value x596, value x595, value x594)
{
   uv_loop_t* x597 = CTYPES_ADDR_OF_FATPTR(x596);
   uv_udp_t* x598 = CTYPES_ADDR_OF_FATPTR(x595);
   unsigned int x599 = ctypes_uint_val(x594);
   int x602 = uv_udp_init_ex(x597, x598, x599);
   return Val_long(x602);
}
value luv_stub_115_uv_udp_open(value x604, value x603)
{
   uv_udp_t* x605 = CTYPES_ADDR_OF_FATPTR(x604);
   void* x606 = CTYPES_ADDR_OF_FATPTR(x603);
   uv_os_sock_t x608 = *(uv_os_sock_t*)x606;
   int x609 = uv_udp_open(x605, x608);
   return Val_long(x609);
}
value luv_stub_116_uv_udp_bind(value x612, value x611, value x610)
{
   uv_udp_t* x613 = CTYPES_ADDR_OF_FATPTR(x612);
   struct sockaddr* x614 = CTYPES_ADDR_OF_FATPTR(x611);
   int x615 = Long_val(x610);
   int x618 = uv_udp_bind(x613, x614, x615);
   return Val_long(x618);
}
value luv_stub_117_uv_udp_connect(value x620, value x619)
{
   uv_udp_t* x621 = CTYPES_ADDR_OF_FATPTR(x620);
   struct sockaddr* x622 = CTYPES_ADDR_OF_FATPTR(x619);
   int x623 = uv_udp_connect(x621, x622);
   return Val_long(x623);
}
value luv_stub_118_uv_udp_getpeername(value x626, value x625, value x624)
{
   uv_udp_t* x627 = CTYPES_ADDR_OF_FATPTR(x626);
   struct sockaddr* x628 = CTYPES_ADDR_OF_FATPTR(x625);
   int* x629 = CTYPES_ADDR_OF_FATPTR(x624);
   int x630 = uv_udp_getpeername(x627, x628, x629);
   return Val_long(x630);
}
value luv_stub_119_uv_udp_getsockname(value x633, value x632, value x631)
{
   uv_udp_t* x634 = CTYPES_ADDR_OF_FATPTR(x633);
   struct sockaddr* x635 = CTYPES_ADDR_OF_FATPTR(x632);
   int* x636 = CTYPES_ADDR_OF_FATPTR(x631);
   int x637 = uv_udp_getsockname(x634, x635, x636);
   return Val_long(x637);
}
value luv_stub_120_uv_udp_set_membership(value x641, value x640, value x639,
                                         value x638)
{
   uv_udp_t* x642 = CTYPES_ADDR_OF_FATPTR(x641);
   char* x643 = CTYPES_PTR_OF_OCAML_STRING(x640);
   char* x644 = CTYPES_PTR_OF_OCAML_STRING(x639);
   uint32_t x645 = Uint32_val(x638);
   int x648 = uv_udp_set_membership(x642, x643, x644, x645);
   return Val_long(x648);
}
value luv_stub_121_uv_udp_set_source_membership(value x653, value x652,
                                                value x651, value x650,
                                                value x649)
{
   uv_udp_t* x654 = CTYPES_ADDR_OF_FATPTR(x653);
   char* x655 = CTYPES_PTR_OF_OCAML_STRING(x652);
   char* x656 = CTYPES_PTR_OF_OCAML_STRING(x651);
   char* x657 = CTYPES_PTR_OF_OCAML_STRING(x650);
   uint32_t x658 = Uint32_val(x649);
   int x661 = uv_udp_set_source_membership(x654, x655, x656, x657, x658);
   return Val_long(x661);
}
value luv_stub_122_uv_udp_set_multicast_loop(value x663, value x662)
{
   uv_udp_t* x664 = CTYPES_ADDR_OF_FATPTR(x663);
   _Bool x665 = Bool_val(x662);
   int x668 = uv_udp_set_multicast_loop(x664, x665);
   return Val_long(x668);
}
value luv_stub_123_uv_udp_set_multicast_ttl(value x670, value x669)
{
   uv_udp_t* x671 = CTYPES_ADDR_OF_FATPTR(x670);
   int x672 = Long_val(x669);
   int x675 = uv_udp_set_multicast_ttl(x671, x672);
   return Val_long(x675);
}
value luv_stub_124_uv_udp_set_multicast_interface(value x677, value x676)
{
   uv_udp_t* x678 = CTYPES_ADDR_OF_FATPTR(x677);
   char* x679 = CTYPES_PTR_OF_OCAML_STRING(x676);
   int x680 = uv_udp_set_multicast_interface(x678, x679);
   return Val_long(x680);
}
value luv_stub_125_uv_udp_set_broadcast(value x682, value x681)
{
   uv_udp_t* x683 = CTYPES_ADDR_OF_FATPTR(x682);
   _Bool x684 = Bool_val(x681);
   int x687 = uv_udp_set_broadcast(x683, x684);
   return Val_long(x687);
}
value luv_stub_126_uv_udp_set_ttl(value x689, value x688)
{
   uv_udp_t* x690 = CTYPES_ADDR_OF_FATPTR(x689);
   int x691 = Long_val(x688);
   int x694 = uv_udp_set_ttl(x690, x691);
   return Val_long(x694);
}
value luv_stub_127_luv_get_send_trampoline(value x695)
{
   void(* x696)(uv_udp_send_t*, int) = luv_get_send_trampoline();
   return CTYPES_FROM_PTR(x696);
}
value luv_stub_128_uv_udp_send(value x702, value x701, value x700,
                               value x699, value x698, value x697)
{
   uv_udp_send_t* x703 = CTYPES_ADDR_OF_FATPTR(x702);
   uv_udp_t* x704 = CTYPES_ADDR_OF_FATPTR(x701);
   uv_buf_t* x705 = CTYPES_ADDR_OF_FATPTR(x700);
   unsigned int x706 = ctypes_uint_val(x699);
   struct sockaddr* x709 = CTYPES_ADDR_OF_FATPTR(x698);
   void(* x710)(uv_udp_send_t*, int) = CTYPES_ADDR_OF_FATPTR(x697);
   int x711 = uv_udp_send(x703, x704, x705, x706, x709, x710);
   return Val_long(x711);
}
value luv_stub_128_uv_udp_send_byte6(value* argv, int argc)
{
   value x712 = argv[5];
   value x713 = argv[4];
   value x714 = argv[3];
   value x715 = argv[2];
   value x716 = argv[1];
   value x717 = argv[0];
   return luv_stub_128_uv_udp_send(x717, x716, x715, x714, x713, x712);
}
value luv_stub_129_uv_udp_try_send(value x721, value x720, value x719,
                                   value x718)
{
   uv_udp_t* x722 = CTYPES_ADDR_OF_FATPTR(x721);
   uv_buf_t* x723 = CTYPES_ADDR_OF_FATPTR(x720);
   unsigned int x724 = ctypes_uint_val(x719);
   struct sockaddr* x727 = CTYPES_ADDR_OF_FATPTR(x718);
   int x728 = uv_udp_try_send(x722, x723, x724, x727);
   return Val_long(x728);
}
value luv_stub_130_luv_get_recv_trampoline(value x729)
{
   void(* x730)(uv_udp_t*, ssize_t, uv_buf_t*, struct sockaddr*, unsigned int)
   = luv_get_recv_trampoline();
   return CTYPES_FROM_PTR(x730);
}
value luv_stub_131_luv_udp_recv_start(value x733, value x732, value x731)
{
   uv_udp_t* x734 = CTYPES_ADDR_OF_FATPTR(x733);
   void(* x735)(uv_handle_t*, size_t, uv_buf_t*) =
   CTYPES_ADDR_OF_FATPTR(x732);
   void(* x736)(uv_udp_t*, ssize_t, uv_buf_t*, struct sockaddr*, unsigned int)
   = CTYPES_ADDR_OF_FATPTR(x731);
   int x737 = luv_udp_recv_start(x734, x735, x736);
   return Val_long(x737);
}
value luv_stub_132_uv_udp_recv_stop(value x738)
{
   uv_udp_t* x739 = CTYPES_ADDR_OF_FATPTR(x738);
   int x740 = uv_udp_recv_stop(x739);
   return Val_long(x740);
}
value luv_stub_133_uv_udp_using_recvmmsg(value x741)
{
   uv_udp_t* x742 = CTYPES_ADDR_OF_FATPTR(x741);
   _Bool x743 = uv_udp_using_recvmmsg(x742);
   return Val_bool(x743);
}
value luv_stub_134_uv_udp_get_send_queue_size(value x744)
{
   uv_udp_t* x745 = CTYPES_ADDR_OF_FATPTR(x744);
   size_t x746 = uv_udp_get_send_queue_size(x745);
   return ctypes_copy_size_t(x746);
}
value luv_stub_135_uv_udp_get_send_queue_count(value x747)
{
   uv_udp_t* x748 = CTYPES_ADDR_OF_FATPTR(x747);
   size_t x749 = uv_udp_get_send_queue_count(x748);
   return ctypes_copy_size_t(x749);
}
value luv_stub_136_luv_get_exit_trampoline(value x750)
{
   void(* x751)(uv_process_t*, int64_t, int) = luv_get_exit_trampoline();
   return CTYPES_FROM_PTR(x751);
}
value luv_stub_137_luv_null_exit_trampoline(value x752)
{
   void(* x753)(uv_process_t*, int64_t, int) = luv_null_exit_trampoline();
   return CTYPES_FROM_PTR(x753);
}
value luv_stub_138_uv_disable_stdio_inheritance(value x754)
{
   uv_disable_stdio_inheritance();
   return Val_unit;
}
value luv_stub_139_luv_spawn(value x771, value x770, value x769, value x768,
                             value x767, value x766, value x765, value x764,
                             value x763, value x762, value x761, value x760,
                             value x759, value x758, value x757, value x756)
{
   uv_loop_t* x772 = CTYPES_ADDR_OF_FATPTR(x771);
   uv_process_t* x773 = CTYPES_ADDR_OF_FATPTR(x770);
   void(* x774)(uv_process_t*, int64_t, int) = CTYPES_ADDR_OF_FATPTR(x769);
   char* x775 = CTYPES_ADDR_OF_FATPTR(x768);
   char** x776 = CTYPES_ADDR_OF_FATPTR(x767);
   int x777 = Long_val(x766);
   char** x780 = CTYPES_ADDR_OF_FATPTR(x765);
   int x781 = Long_val(x764);
   _Bool x784 = Bool_val(x763);
   char* x787 = CTYPES_ADDR_OF_FATPTR(x762);
   _Bool x788 = Bool_val(x761);
   int x791 = Long_val(x760);
   int x794 = Long_val(x759);
   uv_stdio_container_t* x797 = CTYPES_ADDR_OF_FATPTR(x758);
   int x798 = Long_val(x757);
   int x801 = Long_val(x756);
   int x804 =
   luv_spawn(x772, x773, x774, x775, x776, x777, x780, x781, x784, x787,
             x788, x791, x794, x797, x798, x801);
   return Val_long(x804);
}
value luv_stub_139_luv_spawn_byte16(value* argv, int argc)
{
   value x805 = argv[15];
   value x806 = argv[14];
   value x807 = argv[13];
   value x808 = argv[12];
   value x809 = argv[11];
   value x810 = argv[10];
   value x811 = argv[9];
   value x812 = argv[8];
   value x813 = argv[7];
   value x814 = argv[6];
   value x815 = argv[5];
   value x816 = argv[4];
   value x817 = argv[3];
   value x818 = argv[2];
   value x819 = argv[1];
   value x820 = argv[0];
   return
     luv_stub_139_luv_spawn(x820, x819, x818, x817, x816, x815, x814, 
                            x813, x812, x811, x810, x809, x808, x807, 
                            x806, x805);
}
value luv_stub_140_uv_process_kill(value x822, value x821)
{
   uv_process_t* x823 = CTYPES_ADDR_OF_FATPTR(x822);
   int x824 = Long_val(x821);
   int x827 = uv_process_kill(x823, x824);
   return Val_long(x827);
}
value luv_stub_141_uv_kill(value x829, value x828)
{
   int x830 = Long_val(x829);
   int x833 = Long_val(x828);
   int x836 = uv_kill(x830, x833);
   return Val_long(x836);
}
value luv_stub_142_uv_process_get_pid(value x837)
{
   uv_process_t* x838 = CTYPES_ADDR_OF_FATPTR(x837);
   int x839 = uv_process_get_pid(x838);
   return Val_long(x839);
}
value luv_stub_143_luv_get_fs_event_trampoline(value x840)
{
   void(* x841)(uv_fs_event_t*, char*, int, int) =
   luv_get_fs_event_trampoline();
   return CTYPES_FROM_PTR(x841);
}
value luv_stub_144_uv_fs_event_init(value x843, value x842)
{
   uv_loop_t* x844 = CTYPES_ADDR_OF_FATPTR(x843);
   uv_fs_event_t* x845 = CTYPES_ADDR_OF_FATPTR(x842);
   int x846 = uv_fs_event_init(x844, x845);
   return Val_long(x846);
}
value luv_stub_145_luv_fs_event_start(value x850, value x849, value x848,
                                      value x847)
{
   uv_fs_event_t* x851 = CTYPES_ADDR_OF_FATPTR(x850);
   void(* x852)(uv_fs_event_t*, char*, int, int) =
   CTYPES_ADDR_OF_FATPTR(x849);
   char* x853 = CTYPES_PTR_OF_OCAML_STRING(x848);
   int x854 = Long_val(x847);
   int x857 = luv_fs_event_start(x851, x852, x853, x854);
   return Val_long(x857);
}
value luv_stub_146_uv_fs_event_stop(value x858)
{
   uv_fs_event_t* x859 = CTYPES_ADDR_OF_FATPTR(x858);
   int x860 = uv_fs_event_stop(x859);
   return Val_long(x860);
}
value luv_stub_147_luv_get_fs_poll_trampoline(value x861)
{
   void(* x862)(uv_fs_poll_t*, int, uv_stat_t*, uv_stat_t*) =
   luv_get_fs_poll_trampoline();
   return CTYPES_FROM_PTR(x862);
}
value luv_stub_148_uv_fs_poll_init(value x864, value x863)
{
   uv_loop_t* x865 = CTYPES_ADDR_OF_FATPTR(x864);
   uv_fs_poll_t* x866 = CTYPES_ADDR_OF_FATPTR(x863);
   int x867 = uv_fs_poll_init(x865, x866);
   return Val_long(x867);
}
value luv_stub_149_luv_fs_poll_start(value x871, value x870, value x869,
                                     value x868)
{
   uv_fs_poll_t* x872 = CTYPES_ADDR_OF_FATPTR(x871);
   void(* x873)(uv_fs_poll_t*, int, uv_stat_t*, uv_stat_t*) =
   CTYPES_ADDR_OF_FATPTR(x870);
   char* x874 = CTYPES_PTR_OF_OCAML_STRING(x869);
   int x875 = Long_val(x868);
   int x878 = luv_fs_poll_start(x872, x873, x874, x875);
   return Val_long(x878);
}
value luv_stub_150_uv_fs_poll_stop(value x879)
{
   uv_fs_poll_t* x880 = CTYPES_ADDR_OF_FATPTR(x879);
   int x881 = uv_fs_poll_stop(x880);
   return Val_long(x881);
}
value luv_stub_151_luv_get_getaddrinfo_trampoline(value x882)
{
   void(* x883)(uv_getaddrinfo_t*, int, struct addrinfo*) =
   luv_get_getaddrinfo_trampoline();
   return CTYPES_FROM_PTR(x883);
}
value luv_stub_152_uv_getaddrinfo(value x889, value x888, value x887,
                                  value x886, value x885, value x884)
{
   uv_loop_t* x890 = CTYPES_ADDR_OF_FATPTR(x889);
   uv_getaddrinfo_t* x891 = CTYPES_ADDR_OF_FATPTR(x888);
   void(* x892)(uv_getaddrinfo_t*, int, struct addrinfo*) =
   CTYPES_ADDR_OF_FATPTR(x887);
   char* x893 = CTYPES_ADDR_OF_FATPTR(x886);
   char* x894 = CTYPES_ADDR_OF_FATPTR(x885);
   struct addrinfo* x895 = CTYPES_ADDR_OF_FATPTR(x884);
   int x896 = uv_getaddrinfo(x890, x891, x892, x893, x894, x895);
   return Val_long(x896);
}
value luv_stub_152_uv_getaddrinfo_byte6(value* argv, int argc)
{
   value x897 = argv[5];
   value x898 = argv[4];
   value x899 = argv[3];
   value x900 = argv[2];
   value x901 = argv[1];
   value x902 = argv[0];
   return luv_stub_152_uv_getaddrinfo(x902, x901, x900, x899, x898, x897);
}
value luv_stub_153_uv_freeaddrinfo(value x903)
{
   struct addrinfo* x904 = CTYPES_ADDR_OF_FATPTR(x903);
   uv_freeaddrinfo(x904);
   return Val_unit;
}
value luv_stub_154_luv_get_getnameinfo_trampoline(value x906)
{
   void(* x907)(uv_getnameinfo_t*, int, char*, char*) =
   luv_get_getnameinfo_trampoline();
   return CTYPES_FROM_PTR(x907);
}
value luv_stub_155_luv_getnameinfo(value x912, value x911, value x910,
                                   value x909, value x908)
{
   uv_loop_t* x913 = CTYPES_ADDR_OF_FATPTR(x912);
   uv_getnameinfo_t* x914 = CTYPES_ADDR_OF_FATPTR(x911);
   void(* x915)(uv_getnameinfo_t*, int, char*, char*) =
   CTYPES_ADDR_OF_FATPTR(x910);
   struct sockaddr* x916 = CTYPES_ADDR_OF_FATPTR(x909);
   int x917 = Long_val(x908);
   int x920 = luv_getnameinfo(x913, x914, x915, x916, x917);
   return Val_long(x920);
}
value luv_stub_156_uv_dlopen(value x922, value x921)
{
   char* x923 = CTYPES_PTR_OF_OCAML_STRING(x922);
   uv_lib_t* x924 = CTYPES_ADDR_OF_FATPTR(x921);
   _Bool x925 = uv_dlopen(x923, x924);
   return Val_bool(x925);
}
value luv_stub_157_uv_dlclose(value x926)
{
   uv_lib_t* x927 = CTYPES_ADDR_OF_FATPTR(x926);
   uv_dlclose(x927);
   return Val_unit;
}
value luv_stub_158_uv_dlsym(value x931, value x930, value x929)
{
   uv_lib_t* x932 = CTYPES_ADDR_OF_FATPTR(x931);
   char* x933 = CTYPES_PTR_OF_OCAML_STRING(x930);
   void** x934 = CTYPES_ADDR_OF_FATPTR(x929);
   _Bool x935 = uv_dlsym(x932, x933, x934);
   return Val_bool(x935);
}
value luv_stub_159_luv_dlerror(value x936)
{
   uv_lib_t* x937 = CTYPES_ADDR_OF_FATPTR(x936);
   char* x938 = luv_dlerror(x937);
   return CTYPES_FROM_PTR(x938);
}
value luv_stub_160_uv_get_osfhandle(value x939)
{
   int x940 = Long_val(x939);
   uv_os_fd_t x943 = uv_get_osfhandle(x940);
   return ctypes_copy_bytes(&x943, 4);
}
value luv_stub_161_uv_open_osfhandle(value x944)
{
   void* x945 = CTYPES_ADDR_OF_FATPTR(x944);
   uv_os_fd_t x947 = *(uv_os_fd_t*)x945;
   int x948 = uv_open_osfhandle(x947);
   return Val_long(x948);
}
value luv_stub_162_luv_is_invalid_handle_value(value x949)
{
   void* x950 = CTYPES_ADDR_OF_FATPTR(x949);
   uv_os_fd_t x952 = *(uv_os_fd_t*)x950;
   _Bool x953 = luv_is_invalid_handle_value(x952);
   return Val_bool(x953);
}
value luv_stub_163_luv_is_invalid_socket_value(value x954)
{
   void* x955 = CTYPES_ADDR_OF_FATPTR(x954);
   uv_os_sock_t x957 = *(uv_os_sock_t*)x955;
   _Bool x958 = luv_is_invalid_socket_value(x957);
   return Val_bool(x958);
}
value luv_stub_164_memcpy(value x961, value x960, value x959)
{
   unsigned char* x962 = CTYPES_PTR_OF_OCAML_BYTES(x961);
   char* x963 = CTYPES_ADDR_OF_FATPTR(x960);
   int x964 = Long_val(x959);
   memcpy(x962, x963, x964);
   return Val_unit;
}
value luv_stub_165_memcpy(value x970, value x969, value x968)
{
   char* x971 = CTYPES_ADDR_OF_FATPTR(x970);
   unsigned char* x972 = CTYPES_PTR_OF_OCAML_BYTES(x969);
   int x973 = Long_val(x968);
   memcpy(x971, x972, x973);
   return Val_unit;
}
value luv_stub_166_luv_get_work_trampoline(value x977)
{
   void(* x978)(uv_work_t*) = luv_get_work_trampoline();
   return CTYPES_FROM_PTR(x978);
}
value luv_stub_167_luv_get_after_work_trampoline(value x979)
{
   void(* x980)(uv_work_t*, int) = luv_get_after_work_trampoline();
   return CTYPES_FROM_PTR(x980);
}
value luv_stub_168_luv_get_c_work_trampoline(value x981)
{
   void(* x982)(uv_work_t*) = luv_get_c_work_trampoline();
   return CTYPES_FROM_PTR(x982);
}
value luv_stub_169_luv_get_after_c_work_trampoline(value x983)
{
   void(* x984)(uv_work_t*, int) = luv_get_after_c_work_trampoline();
   return CTYPES_FROM_PTR(x984);
}
value luv_stub_170_luv_add_c_function_and_argument(value x987, value x986,
                                                   value x985)
{
   uv_work_t* x988 = CTYPES_ADDR_OF_FATPTR(x987);
   intnat x989 = Nativeint_val(x986);
   intnat x992 = Nativeint_val(x985);
   _Bool x995 = luv_add_c_function_and_argument(x988, x989, x992);
   return Val_bool(x995);
}
value luv_stub_171_uv_queue_work(value x999, value x998, value x997,
                                 value x996)
{
   uv_loop_t* x1000 = CTYPES_ADDR_OF_FATPTR(x999);
   uv_work_t* x1001 = CTYPES_ADDR_OF_FATPTR(x998);
   void(* x1002)(uv_work_t*) = CTYPES_ADDR_OF_FATPTR(x997);
   void(* x1003)(uv_work_t*, int) = CTYPES_ADDR_OF_FATPTR(x996);
   int x1004 = uv_queue_work(x1000, x1001, x1002, x1003);
   return Val_long(x1004);
}
value luv_stub_172_luv_get_thread_trampoline(value x1005)
{
   void(* x1006)(void*) = luv_get_thread_trampoline();
   return CTYPES_FROM_PTR(x1006);
}
value luv_stub_173_uv_thread_create_ex(value x1010, value x1009, value x1008,
                                       value x1007)
{
   uv_thread_t* x1011 = CTYPES_ADDR_OF_FATPTR(x1010);
   uv_thread_options_t* x1012 = CTYPES_ADDR_OF_FATPTR(x1009);
   void(* x1013)(void*) = CTYPES_ADDR_OF_FATPTR(x1008);
   void* x1014 = CTYPES_ADDR_OF_FATPTR(x1007);
   int x1015 = uv_thread_create_ex(x1011, x1012, x1013, x1014);
   return Val_long(x1015);
}
value luv_stub_174_luv_thread_create_c(value x1019, value x1018, value x1017,
                                       value x1016)
{
   uv_thread_t* x1020 = CTYPES_ADDR_OF_FATPTR(x1019);
   uv_thread_options_t* x1021 = CTYPES_ADDR_OF_FATPTR(x1018);
   intnat x1022 = Nativeint_val(x1017);
   intnat x1025 = Nativeint_val(x1016);
   int x1028 = luv_thread_create_c(x1020, x1021, x1022, x1025);
   return Val_long(x1028);
}
value luv_stub_175_uv_thread_self(value x1029)
{
   uv_thread_t x1030 = uv_thread_self();
   return ctypes_copy_bytes(&x1030, 4);
}
value luv_stub_176_uv_thread_equal(value x1032, value x1031)
{
   uv_thread_t* x1033 = CTYPES_ADDR_OF_FATPTR(x1032);
   uv_thread_t* x1034 = CTYPES_ADDR_OF_FATPTR(x1031);
   _Bool x1035 = uv_thread_equal(x1033, x1034);
   return Val_bool(x1035);
}
value luv_stub_177_uv_key_create(value x1036)
{
   uv_key_t* x1037 = CTYPES_ADDR_OF_FATPTR(x1036);
   int x1038 = uv_key_create(x1037);
   return Val_long(x1038);
}
value luv_stub_178_uv_key_delete(value x1039)
{
   uv_key_t* x1040 = CTYPES_ADDR_OF_FATPTR(x1039);
   uv_key_delete(x1040);
   return Val_unit;
}
value luv_stub_179_uv_key_get(value x1042)
{
   uv_key_t* x1043 = CTYPES_ADDR_OF_FATPTR(x1042);
   void* x1044 = uv_key_get(x1043);
   return CTYPES_FROM_PTR(x1044);
}
value luv_stub_180_uv_key_set(value x1046, value x1045)
{
   uv_key_t* x1047 = CTYPES_ADDR_OF_FATPTR(x1046);
   void* x1048 = CTYPES_ADDR_OF_FATPTR(x1045);
   uv_key_set(x1047, x1048);
   return Val_unit;
}
value luv_stub_181_luv_get_once_trampoline(value x1050)
{
   void(* x1051)(void) = luv_get_once_trampoline();
   return CTYPES_FROM_PTR(x1051);
}
value luv_stub_182_luv_once_init(value x1052)
{
   uv_once_t* x1053 = CTYPES_ADDR_OF_FATPTR(x1052);
   int x1054 = luv_once_init(x1053);
   return Val_long(x1054);
}
value luv_stub_183_uv_once(value x1056, value x1055)
{
   uv_once_t* x1057 = CTYPES_ADDR_OF_FATPTR(x1056);
   void(* x1058)(void) = CTYPES_ADDR_OF_FATPTR(x1055);
   uv_once(x1057, x1058);
   return Val_unit;
}
value luv_stub_184_uv_mutex_init(value x1060)
{
   uv_mutex_t* x1061 = CTYPES_ADDR_OF_FATPTR(x1060);
   int x1062 = uv_mutex_init(x1061);
   return Val_long(x1062);
}
value luv_stub_185_uv_mutex_init_recursive(value x1063)
{
   uv_mutex_t* x1064 = CTYPES_ADDR_OF_FATPTR(x1063);
   int x1065 = uv_mutex_init_recursive(x1064);
   return Val_long(x1065);
}
value luv_stub_186_uv_mutex_destroy(value x1066)
{
   uv_mutex_t* x1067 = CTYPES_ADDR_OF_FATPTR(x1066);
   uv_mutex_destroy(x1067);
   return Val_unit;
}
value luv_stub_187_uv_mutex_trylock(value x1069)
{
   uv_mutex_t* x1070 = CTYPES_ADDR_OF_FATPTR(x1069);
   int x1071 = uv_mutex_trylock(x1070);
   return Val_long(x1071);
}
value luv_stub_188_uv_mutex_unlock(value x1072)
{
   uv_mutex_t* x1073 = CTYPES_ADDR_OF_FATPTR(x1072);
   uv_mutex_unlock(x1073);
   return Val_unit;
}
value luv_stub_189_uv_rwlock_init(value x1075)
{
   uv_rwlock_t* x1076 = CTYPES_ADDR_OF_FATPTR(x1075);
   int x1077 = uv_rwlock_init(x1076);
   return Val_long(x1077);
}
value luv_stub_190_uv_rwlock_destroy(value x1078)
{
   uv_rwlock_t* x1079 = CTYPES_ADDR_OF_FATPTR(x1078);
   uv_rwlock_destroy(x1079);
   return Val_unit;
}
value luv_stub_191_uv_rwlock_tryrdlock(value x1081)
{
   uv_rwlock_t* x1082 = CTYPES_ADDR_OF_FATPTR(x1081);
   int x1083 = uv_rwlock_tryrdlock(x1082);
   return Val_long(x1083);
}
value luv_stub_192_uv_rwlock_rdunlock(value x1084)
{
   uv_rwlock_t* x1085 = CTYPES_ADDR_OF_FATPTR(x1084);
   uv_rwlock_rdunlock(x1085);
   return Val_unit;
}
value luv_stub_193_uv_rwlock_trywrlock(value x1087)
{
   uv_rwlock_t* x1088 = CTYPES_ADDR_OF_FATPTR(x1087);
   int x1089 = uv_rwlock_trywrlock(x1088);
   return Val_long(x1089);
}
value luv_stub_194_uv_rwlock_wrunlock(value x1090)
{
   uv_rwlock_t* x1091 = CTYPES_ADDR_OF_FATPTR(x1090);
   uv_rwlock_wrunlock(x1091);
   return Val_unit;
}
value luv_stub_195_uv_sem_init(value x1094, value x1093)
{
   uv_sem_t* x1095 = CTYPES_ADDR_OF_FATPTR(x1094);
   unsigned int x1096 = ctypes_uint_val(x1093);
   int x1099 = uv_sem_init(x1095, x1096);
   return Val_long(x1099);
}
value luv_stub_196_uv_sem_destroy(value x1100)
{
   uv_sem_t* x1101 = CTYPES_ADDR_OF_FATPTR(x1100);
   uv_sem_destroy(x1101);
   return Val_unit;
}
value luv_stub_197_uv_sem_post(value x1103)
{
   uv_sem_t* x1104 = CTYPES_ADDR_OF_FATPTR(x1103);
   uv_sem_post(x1104);
   return Val_unit;
}
value luv_stub_198_uv_sem_trywait(value x1106)
{
   uv_sem_t* x1107 = CTYPES_ADDR_OF_FATPTR(x1106);
   int x1108 = uv_sem_trywait(x1107);
   return Val_long(x1108);
}
value luv_stub_199_uv_cond_init(value x1109)
{
   uv_cond_t* x1110 = CTYPES_ADDR_OF_FATPTR(x1109);
   int x1111 = uv_cond_init(x1110);
   return Val_long(x1111);
}
value luv_stub_200_uv_cond_destroy(value x1112)
{
   uv_cond_t* x1113 = CTYPES_ADDR_OF_FATPTR(x1112);
   uv_cond_destroy(x1113);
   return Val_unit;
}
value luv_stub_201_uv_cond_signal(value x1115)
{
   uv_cond_t* x1116 = CTYPES_ADDR_OF_FATPTR(x1115);
   uv_cond_signal(x1116);
   return Val_unit;
}
value luv_stub_202_uv_cond_broadcast(value x1118)
{
   uv_cond_t* x1119 = CTYPES_ADDR_OF_FATPTR(x1118);
   uv_cond_broadcast(x1119);
   return Val_unit;
}
value luv_stub_203_uv_barrier_init(value x1122, value x1121)
{
   uv_barrier_t* x1123 = CTYPES_ADDR_OF_FATPTR(x1122);
   unsigned int x1124 = ctypes_uint_val(x1121);
   int x1127 = uv_barrier_init(x1123, x1124);
   return Val_long(x1127);
}
value luv_stub_204_uv_barrier_destroy(value x1128)
{
   uv_barrier_t* x1129 = CTYPES_ADDR_OF_FATPTR(x1128);
   uv_barrier_destroy(x1129);
   return Val_unit;
}
value luv_stub_205_uv_ip4_addr(value x1133, value x1132, value x1131)
{
   char* x1134 = CTYPES_PTR_OF_OCAML_STRING(x1133);
   int x1135 = Long_val(x1132);
   struct sockaddr_in* x1138 = CTYPES_ADDR_OF_FATPTR(x1131);
   int x1139 = uv_ip4_addr(x1134, x1135, x1138);
   return Val_long(x1139);
}
value luv_stub_206_uv_ip6_addr(value x1142, value x1141, value x1140)
{
   char* x1143 = CTYPES_PTR_OF_OCAML_STRING(x1142);
   int x1144 = Long_val(x1141);
   struct sockaddr_in6* x1147 = CTYPES_ADDR_OF_FATPTR(x1140);
   int x1148 = uv_ip6_addr(x1143, x1144, x1147);
   return Val_long(x1148);
}
value luv_stub_207_uv_ip4_name(value x1151, value x1150, value x1149)
{
   struct sockaddr_in* x1152 = CTYPES_ADDR_OF_FATPTR(x1151);
   unsigned char* x1153 = CTYPES_PTR_OF_OCAML_BYTES(x1150);
   size_t x1154 = ctypes_size_t_val(x1149);
   int x1157 = uv_ip4_name(x1152, x1153, x1154);
   return Val_long(x1157);
}
value luv_stub_208_uv_ip6_name(value x1160, value x1159, value x1158)
{
   struct sockaddr_in6* x1161 = CTYPES_ADDR_OF_FATPTR(x1160);
   unsigned char* x1162 = CTYPES_PTR_OF_OCAML_BYTES(x1159);
   size_t x1163 = ctypes_size_t_val(x1158);
   int x1166 = uv_ip6_name(x1161, x1162, x1163);
   return Val_long(x1166);
}
value luv_stub_209_memcpy(value x1169, value x1168, value x1167)
{
   struct sockaddr_storage* x1170 = CTYPES_ADDR_OF_FATPTR(x1169);
   struct sockaddr* x1171 = CTYPES_ADDR_OF_FATPTR(x1168);
   int x1172 = Long_val(x1167);
   memcpy(x1170, x1171, x1172);
   return Val_unit;
}
value luv_stub_210_ntohs(value x1176)
{
   unsigned short x1177 = ctypes_ushort_val(x1176);
   unsigned short x1180 = ntohs(x1177);
   return ctypes_copy_ushort(x1180);
}
value luv_stub_211_luv_sa_family_to_int(value x1181)
{
   void* x1182 = CTYPES_ADDR_OF_FATPTR(x1181);
   sa_family_t x1184 = *(sa_family_t*)x1182;
   int x1185 = luv_sa_family_to_int(x1184);
   return Val_long(x1185);
}
value luv_stub_212_uv_resident_set_memory(value x1186)
{
   size_t* x1187 = CTYPES_ADDR_OF_FATPTR(x1186);
   int x1188 = uv_resident_set_memory(x1187);
   return Val_long(x1188);
}
value luv_stub_213_uv_uptime(value x1189)
{
   double* x1190 = CTYPES_ADDR_OF_FATPTR(x1189);
   int x1191 = uv_uptime(x1190);
   return Val_long(x1191);
}
value luv_stub_214_uv_loadavg(value x1192)
{
   double* x1193 = CTYPES_ADDR_OF_FATPTR(x1192);
   uv_loadavg(x1193);
   return Val_unit;
}
value luv_stub_215_uv_get_free_memory(value x1195)
{
   uint64_t x1196 = uv_get_free_memory();
   return integers_copy_uint64(x1196);
}
value luv_stub_216_uv_get_total_memory(value x1197)
{
   uint64_t x1198 = uv_get_total_memory();
   return integers_copy_uint64(x1198);
}
value luv_stub_217_uv_get_constrained_memory(value x1199)
{
   uint64_t x1200 = uv_get_constrained_memory();
   return integers_copy_uint64(x1200);
}
value luv_stub_218_uv_os_getpriority(value x1202, value x1201)
{
   int x1203 = Long_val(x1202);
   int* x1206 = CTYPES_ADDR_OF_FATPTR(x1201);
   int x1207 = uv_os_getpriority(x1203, x1206);
   return Val_long(x1207);
}
value luv_stub_219_uv_os_setpriority(value x1209, value x1208)
{
   int x1210 = Long_val(x1209);
   int x1213 = Long_val(x1208);
   int x1216 = uv_os_setpriority(x1210, x1213);
   return Val_long(x1216);
}
value luv_stub_220_uv_getrusage(value x1217)
{
   uv_rusage_t* x1218 = CTYPES_ADDR_OF_FATPTR(x1217);
   int x1219 = uv_getrusage(x1218);
   return Val_long(x1219);
}
value luv_stub_221_uv_os_getpid(value x1220)
{
   int x1221 = uv_os_getpid();
   return Val_long(x1221);
}
value luv_stub_222_uv_os_getppid(value x1222)
{
   int x1223 = uv_os_getppid();
   return Val_long(x1223);
}
value luv_stub_223_uv_cpu_info(value x1225, value x1224)
{
   uv_cpu_info_t** x1226 = CTYPES_ADDR_OF_FATPTR(x1225);
   int* x1227 = CTYPES_ADDR_OF_FATPTR(x1224);
   int x1228 = uv_cpu_info(x1226, x1227);
   return Val_long(x1228);
}
value luv_stub_224_uv_free_cpu_info(value x1230, value x1229)
{
   uv_cpu_info_t* x1231 = CTYPES_ADDR_OF_FATPTR(x1230);
   int x1232 = Long_val(x1229);
   uv_free_cpu_info(x1231, x1232);
   return Val_unit;
}
value luv_stub_225_uv_interface_addresses(value x1237, value x1236)
{
   struct uv_interface_address_s** x1238 = CTYPES_ADDR_OF_FATPTR(x1237);
   int* x1239 = CTYPES_ADDR_OF_FATPTR(x1236);
   int x1240 = uv_interface_addresses(x1238, x1239);
   return Val_long(x1240);
}
value luv_stub_226_uv_free_interface_addresses(value x1242, value x1241)
{
   struct uv_interface_address_s* x1243 = CTYPES_ADDR_OF_FATPTR(x1242);
   int x1244 = Long_val(x1241);
   uv_free_interface_addresses(x1243, x1244);
   return Val_unit;
}
value luv_stub_227_uv_if_indextoname(value x1250, value x1249, value x1248)
{
   unsigned int x1251 = ctypes_uint_val(x1250);
   unsigned char* x1254 = CTYPES_PTR_OF_OCAML_BYTES(x1249);
   size_t* x1255 = CTYPES_ADDR_OF_FATPTR(x1248);
   int x1256 = uv_if_indextoname(x1251, x1254, x1255);
   return Val_long(x1256);
}
value luv_stub_228_uv_if_indextoiid(value x1259, value x1258, value x1257)
{
   unsigned int x1260 = ctypes_uint_val(x1259);
   unsigned char* x1263 = CTYPES_PTR_OF_OCAML_BYTES(x1258);
   size_t* x1264 = CTYPES_ADDR_OF_FATPTR(x1257);
   int x1265 = uv_if_indextoiid(x1260, x1263, x1264);
   return Val_long(x1265);
}
value luv_stub_229_uv_os_gethostname(value x1267, value x1266)
{
   unsigned char* x1268 = CTYPES_PTR_OF_OCAML_BYTES(x1267);
   size_t* x1269 = CTYPES_ADDR_OF_FATPTR(x1266);
   int x1270 = uv_os_gethostname(x1268, x1269);
   return Val_long(x1270);
}
value luv_stub_230_uv_exepath(value x1272, value x1271)
{
   unsigned char* x1273 = CTYPES_PTR_OF_OCAML_BYTES(x1272);
   size_t* x1274 = CTYPES_ADDR_OF_FATPTR(x1271);
   int x1275 = uv_exepath(x1273, x1274);
   return Val_long(x1275);
}
value luv_stub_231_uv_cwd(value x1277, value x1276)
{
   unsigned char* x1278 = CTYPES_PTR_OF_OCAML_BYTES(x1277);
   size_t* x1279 = CTYPES_ADDR_OF_FATPTR(x1276);
   int x1280 = uv_cwd(x1278, x1279);
   return Val_long(x1280);
}
value luv_stub_232_uv_chdir(value x1281)
{
   char* x1282 = CTYPES_PTR_OF_OCAML_STRING(x1281);
   int x1283 = uv_chdir(x1282);
   return Val_long(x1283);
}
value luv_stub_233_uv_os_homedir(value x1285, value x1284)
{
   unsigned char* x1286 = CTYPES_PTR_OF_OCAML_BYTES(x1285);
   size_t* x1287 = CTYPES_ADDR_OF_FATPTR(x1284);
   int x1288 = uv_os_homedir(x1286, x1287);
   return Val_long(x1288);
}
value luv_stub_234_uv_os_tmpdir(value x1290, value x1289)
{
   unsigned char* x1291 = CTYPES_PTR_OF_OCAML_BYTES(x1290);
   size_t* x1292 = CTYPES_ADDR_OF_FATPTR(x1289);
   int x1293 = uv_os_tmpdir(x1291, x1292);
   return Val_long(x1293);
}
value luv_stub_235_uv_os_get_passwd(value x1294)
{
   uv_passwd_t* x1295 = CTYPES_ADDR_OF_FATPTR(x1294);
   int x1296 = uv_os_get_passwd(x1295);
   return Val_long(x1296);
}
value luv_stub_236_uv_os_free_passwd(value x1297)
{
   uv_passwd_t* x1298 = CTYPES_ADDR_OF_FATPTR(x1297);
   uv_os_free_passwd(x1298);
   return Val_unit;
}
value luv_stub_237_uv_os_getenv(value x1302, value x1301, value x1300)
{
   char* x1303 = CTYPES_PTR_OF_OCAML_STRING(x1302);
   unsigned char* x1304 = CTYPES_PTR_OF_OCAML_BYTES(x1301);
   size_t* x1305 = CTYPES_ADDR_OF_FATPTR(x1300);
   int x1306 = uv_os_getenv(x1303, x1304, x1305);
   return Val_long(x1306);
}
value luv_stub_238_uv_os_setenv(value x1308, value x1307)
{
   char* x1309 = CTYPES_PTR_OF_OCAML_STRING(x1308);
   char* x1310 = CTYPES_PTR_OF_OCAML_STRING(x1307);
   int x1311 = uv_os_setenv(x1309, x1310);
   return Val_long(x1311);
}
value luv_stub_239_uv_os_unsetenv(value x1312)
{
   char* x1313 = CTYPES_PTR_OF_OCAML_STRING(x1312);
   int x1314 = uv_os_unsetenv(x1313);
   return Val_long(x1314);
}
value luv_stub_240_uv_os_environ(value x1316, value x1315)
{
   uv_env_item_t** x1317 = CTYPES_ADDR_OF_FATPTR(x1316);
   int* x1318 = CTYPES_ADDR_OF_FATPTR(x1315);
   int x1319 = uv_os_environ(x1317, x1318);
   return Val_long(x1319);
}
value luv_stub_241_uv_os_free_environ(value x1321, value x1320)
{
   uv_env_item_t* x1322 = CTYPES_ADDR_OF_FATPTR(x1321);
   int x1323 = Long_val(x1320);
   uv_os_free_environ(x1322, x1323);
   return Val_unit;
}
value luv_stub_242_luv_os_uname(value x1327)
{
   unsigned char* x1328 = CTYPES_PTR_OF_OCAML_BYTES(x1327);
   int x1329 = luv_os_uname(x1328);
   return Val_long(x1329);
}
value luv_stub_243_uv_gettimeofday(value x1330)
{
   uv_timeval64_t* x1331 = CTYPES_ADDR_OF_FATPTR(x1330);
   int x1332 = uv_gettimeofday(x1331);
   return Val_long(x1332);
}
value luv_stub_244_uv_hrtime(value x1333)
{
   uint64_t x1334 = uv_hrtime();
   return integers_copy_uint64(x1334);
}
value luv_stub_245_luv_get_random_trampoline(value x1335)
{
   void(* x1336)(uv_random_t*, int, void*, size_t) =
   luv_get_random_trampoline();
   return CTYPES_FROM_PTR(x1336);
}
value luv_stub_246_luv_null_random_trampoline(value x1337)
{
   void(* x1338)(uv_random_t*, int, void*, size_t) =
   luv_null_random_trampoline();
   return CTYPES_FROM_PTR(x1338);
}
value luv_stub_247_uv_random(value x1344, value x1343, value x1342,
                             value x1341, value x1340, value x1339)
{
   uv_loop_t* x1345 = CTYPES_ADDR_OF_FATPTR(x1344);
   uv_random_t* x1346 = CTYPES_ADDR_OF_FATPTR(x1343);
   char* x1347 = CTYPES_ADDR_OF_FATPTR(x1342);
   size_t x1348 = ctypes_size_t_val(x1341);
   unsigned int x1351 = ctypes_uint_val(x1340);
   void(* x1354)(uv_random_t*, int, void*, size_t) =
   CTYPES_ADDR_OF_FATPTR(x1339);
   int x1355 = uv_random(x1345, x1346, x1347, x1348, x1351, x1354);
   return Val_long(x1355);
}
value luv_stub_247_uv_random_byte6(value* argv, int argc)
{
   value x1356 = argv[5];
   value x1357 = argv[4];
   value x1358 = argv[3];
   value x1359 = argv[2];
   value x1360 = argv[1];
   value x1361 = argv[0];
   return luv_stub_247_uv_random(x1361, x1360, x1359, x1358, x1357, x1356);
}
value luv_stub_248_uv_metrics_idle_time(value x1362)
{
   uv_loop_t* x1363 = CTYPES_ADDR_OF_FATPTR(x1362);
   uint64_t x1364 = uv_metrics_idle_time(x1363);
   return integers_copy_uint64(x1364);
}
#include "ctypes_cstubs_internals.h"
#include <caml/threads.h>
value luv_stub_blocking_1_uv_run(value x1366, value x1365)
{
   CAMLparam2 (x1366, x1365);;
   uv_loop_t* x1367 = CTYPES_ADDR_OF_FATPTR(x1366);
   uint32_t x1368 = Uint32_val(x1365);
   caml_release_runtime_system();
   _Bool x1371 = uv_run(x1367, x1368);
   caml_acquire_runtime_system();
   value x1372 = Val_bool(x1371);
   CAMLreturnT(value, x1372);
}
value luv_stub_blocking_2_uv_pipe_bind(value x1376, value x1375)
{
   CAMLparam2 (x1376, x1375);;
   uv_pipe_t* x1377 = CTYPES_ADDR_OF_FATPTR(x1376);
   char* x1378 = CTYPES_ADDR_OF_FATPTR(x1375);
   caml_release_runtime_system();
   int x1379 = uv_pipe_bind(x1377, x1378);
   caml_acquire_runtime_system();
   value x1380 = Val_long(x1379);
   CAMLreturnT(value, x1380);
}
value luv_stub_blocking_3_luv_get_fs_trampoline(value x1383)
{
   CAMLparam1 (x1383);;
   caml_release_runtime_system();
   void(* x1384)(uv_fs_t*) = luv_get_fs_trampoline();
   caml_acquire_runtime_system();
   value x1385 = CTYPES_FROM_PTR(x1384);
   CAMLreturnT(value, x1385);
}
value luv_stub_blocking_4_luv_null_fs_callback_pointer(value x1388)
{
   CAMLparam1 (x1388);;
   caml_release_runtime_system();
   void(* x1389)(uv_fs_t*) = luv_null_fs_callback_pointer();
   caml_acquire_runtime_system();
   value x1390 = CTYPES_FROM_PTR(x1389);
   CAMLreturnT(value, x1390);
}
value luv_stub_blocking_5_uv_fs_req_cleanup(value x1393)
{
   CAMLparam1 (x1393);;
   uv_fs_t* x1394 = CTYPES_ADDR_OF_FATPTR(x1393);
   caml_release_runtime_system();
   uv_fs_req_cleanup(x1394);
   caml_acquire_runtime_system();
   value x1396 = Val_unit;
   CAMLreturnT(value, x1396);
}
value luv_stub_blocking_6_uv_fs_close(value x1402, value x1401, value x1400,
                                      value x1399)
{
   CAMLparam4 (x1402, x1401, x1400, x1399);;
   uv_loop_t* x1403 = CTYPES_ADDR_OF_FATPTR(x1402);
   uv_fs_t* x1404 = CTYPES_ADDR_OF_FATPTR(x1401);
   int x1405 = Long_val(x1400);
   void(* x1408)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1399);
   caml_release_runtime_system();
   int x1409 = uv_fs_close(x1403, x1404, x1405, x1408);
   caml_acquire_runtime_system();
   value x1410 = Val_long(x1409);
   CAMLreturnT(value, x1410);
}
value luv_stub_blocking_7_uv_fs_open(value x1418, value x1417, value x1416,
                                     value x1415, value x1414, value x1413)
{
   CAMLparam5 (x1418, x1417, x1416, x1415, x1414); CAMLxparam1 (x1413);;
   uv_loop_t* x1419 = CTYPES_ADDR_OF_FATPTR(x1418);
   uv_fs_t* x1420 = CTYPES_ADDR_OF_FATPTR(x1417);
   char* x1421 = CTYPES_ADDR_OF_FATPTR(x1416);
   int x1422 = Long_val(x1415);
   int x1425 = Long_val(x1414);
   void(* x1428)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1413);
   caml_release_runtime_system();
   int x1429 = uv_fs_open(x1419, x1420, x1421, x1422, x1425, x1428);
   caml_acquire_runtime_system();
   value x1430 = Val_long(x1429);
   CAMLreturnT(value, x1430);
}
value luv_stub_blocking_7_uv_fs_open_byte6(value* argv, int argc)
{
   value x1433 = argv[5];
   value x1434 = argv[4];
   value x1435 = argv[3];
   value x1436 = argv[2];
   value x1437 = argv[1];
   value x1438 = argv[0];
   return
     luv_stub_blocking_7_uv_fs_open(x1438, x1437, x1436, x1435, x1434, x1433);
}
value luv_stub_blocking_8_uv_fs_read(value x1445, value x1444, value x1443,
                                     value x1442, value x1441, value x1440,
                                     value x1439)
{
   CAMLparam5 (x1445, x1444, x1443, x1442, x1441);
   CAMLxparam2 (x1440, x1439);;
   uv_loop_t* x1446 = CTYPES_ADDR_OF_FATPTR(x1445);
   uv_fs_t* x1447 = CTYPES_ADDR_OF_FATPTR(x1444);
   int x1448 = Long_val(x1443);
   uv_buf_t* x1451 = CTYPES_ADDR_OF_FATPTR(x1442);
   unsigned int x1452 = ctypes_uint_val(x1441);
   int64_t x1455 = Int64_val(x1440);
   void(* x1458)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1439);
   caml_release_runtime_system();
   int x1459 = uv_fs_read(x1446, x1447, x1448, x1451, x1452, x1455, x1458);
   caml_acquire_runtime_system();
   value x1460 = Val_long(x1459);
   CAMLreturnT(value, x1460);
}
value luv_stub_blocking_8_uv_fs_read_byte7(value* argv, int argc)
{
   value x1463 = argv[6];
   value x1464 = argv[5];
   value x1465 = argv[4];
   value x1466 = argv[3];
   value x1467 = argv[2];
   value x1468 = argv[1];
   value x1469 = argv[0];
   return
     luv_stub_blocking_8_uv_fs_read(x1469, x1468, x1467, x1466, x1465, 
                                    x1464, x1463);
}
value luv_stub_blocking_9_uv_fs_write(value x1476, value x1475, value x1474,
                                      value x1473, value x1472, value x1471,
                                      value x1470)
{
   CAMLparam5 (x1476, x1475, x1474, x1473, x1472);
   CAMLxparam2 (x1471, x1470);;
   uv_loop_t* x1477 = CTYPES_ADDR_OF_FATPTR(x1476);
   uv_fs_t* x1478 = CTYPES_ADDR_OF_FATPTR(x1475);
   int x1479 = Long_val(x1474);
   uv_buf_t* x1482 = CTYPES_ADDR_OF_FATPTR(x1473);
   unsigned int x1483 = ctypes_uint_val(x1472);
   int64_t x1486 = Int64_val(x1471);
   void(* x1489)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1470);
   caml_release_runtime_system();
   int x1490 = uv_fs_write(x1477, x1478, x1479, x1482, x1483, x1486, x1489);
   caml_acquire_runtime_system();
   value x1491 = Val_long(x1490);
   CAMLreturnT(value, x1491);
}
value luv_stub_blocking_9_uv_fs_write_byte7(value* argv, int argc)
{
   value x1494 = argv[6];
   value x1495 = argv[5];
   value x1496 = argv[4];
   value x1497 = argv[3];
   value x1498 = argv[2];
   value x1499 = argv[1];
   value x1500 = argv[0];
   return
     luv_stub_blocking_9_uv_fs_write(x1500, x1499, x1498, x1497, x1496,
                                     x1495, x1494);
}
value luv_stub_blocking_10_uv_fs_unlink(value x1504, value x1503,
                                        value x1502, value x1501)
{
   CAMLparam4 (x1504, x1503, x1502, x1501);;
   uv_loop_t* x1505 = CTYPES_ADDR_OF_FATPTR(x1504);
   uv_fs_t* x1506 = CTYPES_ADDR_OF_FATPTR(x1503);
   char* x1507 = CTYPES_ADDR_OF_FATPTR(x1502);
   void(* x1508)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1501);
   caml_release_runtime_system();
   int x1509 = uv_fs_unlink(x1505, x1506, x1507, x1508);
   caml_acquire_runtime_system();
   value x1510 = Val_long(x1509);
   CAMLreturnT(value, x1510);
}
value luv_stub_blocking_11_uv_fs_mkdir(value x1517, value x1516, value x1515,
                                       value x1514, value x1513)
{
   CAMLparam5 (x1517, x1516, x1515, x1514, x1513); ;
   uv_loop_t* x1518 = CTYPES_ADDR_OF_FATPTR(x1517);
   uv_fs_t* x1519 = CTYPES_ADDR_OF_FATPTR(x1516);
   char* x1520 = CTYPES_ADDR_OF_FATPTR(x1515);
   int x1521 = Long_val(x1514);
   void(* x1524)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1513);
   caml_release_runtime_system();
   int x1525 = uv_fs_mkdir(x1518, x1519, x1520, x1521, x1524);
   caml_acquire_runtime_system();
   value x1526 = Val_long(x1525);
   CAMLreturnT(value, x1526);
}
value luv_stub_blocking_12_uv_fs_mkdtemp(value x1532, value x1531,
                                         value x1530, value x1529)
{
   CAMLparam4 (x1532, x1531, x1530, x1529);;
   uv_loop_t* x1533 = CTYPES_ADDR_OF_FATPTR(x1532);
   uv_fs_t* x1534 = CTYPES_ADDR_OF_FATPTR(x1531);
   char* x1535 = CTYPES_ADDR_OF_FATPTR(x1530);
   void(* x1536)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1529);
   caml_release_runtime_system();
   int x1537 = uv_fs_mkdtemp(x1533, x1534, x1535, x1536);
   caml_acquire_runtime_system();
   value x1538 = Val_long(x1537);
   CAMLreturnT(value, x1538);
}
value luv_stub_blocking_13_uv_fs_mkstemp(value x1544, value x1543,
                                         value x1542, value x1541)
{
   CAMLparam4 (x1544, x1543, x1542, x1541);;
   uv_loop_t* x1545 = CTYPES_ADDR_OF_FATPTR(x1544);
   uv_fs_t* x1546 = CTYPES_ADDR_OF_FATPTR(x1543);
   char* x1547 = CTYPES_ADDR_OF_FATPTR(x1542);
   void(* x1548)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1541);
   caml_release_runtime_system();
   int x1549 = uv_fs_mkstemp(x1545, x1546, x1547, x1548);
   caml_acquire_runtime_system();
   value x1550 = Val_long(x1549);
   CAMLreturnT(value, x1550);
}
value luv_stub_blocking_14_uv_fs_rmdir(value x1556, value x1555, value x1554,
                                       value x1553)
{
   CAMLparam4 (x1556, x1555, x1554, x1553);;
   uv_loop_t* x1557 = CTYPES_ADDR_OF_FATPTR(x1556);
   uv_fs_t* x1558 = CTYPES_ADDR_OF_FATPTR(x1555);
   char* x1559 = CTYPES_ADDR_OF_FATPTR(x1554);
   void(* x1560)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1553);
   caml_release_runtime_system();
   int x1561 = uv_fs_rmdir(x1557, x1558, x1559, x1560);
   caml_acquire_runtime_system();
   value x1562 = Val_long(x1561);
   CAMLreturnT(value, x1562);
}
value luv_stub_blocking_15_uv_fs_opendir(value x1568, value x1567,
                                         value x1566, value x1565)
{
   CAMLparam4 (x1568, x1567, x1566, x1565);;
   uv_loop_t* x1569 = CTYPES_ADDR_OF_FATPTR(x1568);
   uv_fs_t* x1570 = CTYPES_ADDR_OF_FATPTR(x1567);
   char* x1571 = CTYPES_ADDR_OF_FATPTR(x1566);
   void(* x1572)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1565);
   caml_release_runtime_system();
   int x1573 = uv_fs_opendir(x1569, x1570, x1571, x1572);
   caml_acquire_runtime_system();
   value x1574 = Val_long(x1573);
   CAMLreturnT(value, x1574);
}
value luv_stub_blocking_16_uv_fs_closedir(value x1580, value x1579,
                                          value x1578, value x1577)
{
   CAMLparam4 (x1580, x1579, x1578, x1577);;
   uv_loop_t* x1581 = CTYPES_ADDR_OF_FATPTR(x1580);
   uv_fs_t* x1582 = CTYPES_ADDR_OF_FATPTR(x1579);
   uv_dir_t* x1583 = CTYPES_ADDR_OF_FATPTR(x1578);
   void(* x1584)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1577);
   caml_release_runtime_system();
   int x1585 = uv_fs_closedir(x1581, x1582, x1583, x1584);
   caml_acquire_runtime_system();
   value x1586 = Val_long(x1585);
   CAMLreturnT(value, x1586);
}
value luv_stub_blocking_17_uv_fs_readdir(value x1592, value x1591,
                                         value x1590, value x1589)
{
   CAMLparam4 (x1592, x1591, x1590, x1589);;
   uv_loop_t* x1593 = CTYPES_ADDR_OF_FATPTR(x1592);
   uv_fs_t* x1594 = CTYPES_ADDR_OF_FATPTR(x1591);
   uv_dir_t* x1595 = CTYPES_ADDR_OF_FATPTR(x1590);
   void(* x1596)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1589);
   caml_release_runtime_system();
   int x1597 = uv_fs_readdir(x1593, x1594, x1595, x1596);
   caml_acquire_runtime_system();
   value x1598 = Val_long(x1597);
   CAMLreturnT(value, x1598);
}
value luv_stub_blocking_18_uv_fs_scandir(value x1605, value x1604,
                                         value x1603, value x1602,
                                         value x1601)
{
   CAMLparam5 (x1605, x1604, x1603, x1602, x1601); ;
   uv_loop_t* x1606 = CTYPES_ADDR_OF_FATPTR(x1605);
   uv_fs_t* x1607 = CTYPES_ADDR_OF_FATPTR(x1604);
   char* x1608 = CTYPES_ADDR_OF_FATPTR(x1603);
   int x1609 = Long_val(x1602);
   void(* x1612)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1601);
   caml_release_runtime_system();
   int x1613 = uv_fs_scandir(x1606, x1607, x1608, x1609, x1612);
   caml_acquire_runtime_system();
   value x1614 = Val_long(x1613);
   CAMLreturnT(value, x1614);
}
value luv_stub_blocking_19_uv_fs_scandir_next(value x1618, value x1617)
{
   CAMLparam2 (x1618, x1617);;
   uv_fs_t* x1619 = CTYPES_ADDR_OF_FATPTR(x1618);
   uv_dirent_t* x1620 = CTYPES_ADDR_OF_FATPTR(x1617);
   caml_release_runtime_system();
   int x1621 = uv_fs_scandir_next(x1619, x1620);
   caml_acquire_runtime_system();
   value x1622 = Val_long(x1621);
   CAMLreturnT(value, x1622);
}
value luv_stub_blocking_20_uv_fs_stat(value x1628, value x1627, value x1626,
                                      value x1625)
{
   CAMLparam4 (x1628, x1627, x1626, x1625);;
   uv_loop_t* x1629 = CTYPES_ADDR_OF_FATPTR(x1628);
   uv_fs_t* x1630 = CTYPES_ADDR_OF_FATPTR(x1627);
   char* x1631 = CTYPES_ADDR_OF_FATPTR(x1626);
   void(* x1632)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1625);
   caml_release_runtime_system();
   int x1633 = uv_fs_stat(x1629, x1630, x1631, x1632);
   caml_acquire_runtime_system();
   value x1634 = Val_long(x1633);
   CAMLreturnT(value, x1634);
}
value luv_stub_blocking_21_uv_fs_lstat(value x1640, value x1639, value x1638,
                                       value x1637)
{
   CAMLparam4 (x1640, x1639, x1638, x1637);;
   uv_loop_t* x1641 = CTYPES_ADDR_OF_FATPTR(x1640);
   uv_fs_t* x1642 = CTYPES_ADDR_OF_FATPTR(x1639);
   char* x1643 = CTYPES_ADDR_OF_FATPTR(x1638);
   void(* x1644)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1637);
   caml_release_runtime_system();
   int x1645 = uv_fs_lstat(x1641, x1642, x1643, x1644);
   caml_acquire_runtime_system();
   value x1646 = Val_long(x1645);
   CAMLreturnT(value, x1646);
}
value luv_stub_blocking_22_uv_fs_fstat(value x1652, value x1651, value x1650,
                                       value x1649)
{
   CAMLparam4 (x1652, x1651, x1650, x1649);;
   uv_loop_t* x1653 = CTYPES_ADDR_OF_FATPTR(x1652);
   uv_fs_t* x1654 = CTYPES_ADDR_OF_FATPTR(x1651);
   int x1655 = Long_val(x1650);
   void(* x1658)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1649);
   caml_release_runtime_system();
   int x1659 = uv_fs_fstat(x1653, x1654, x1655, x1658);
   caml_acquire_runtime_system();
   value x1660 = Val_long(x1659);
   CAMLreturnT(value, x1660);
}
value luv_stub_blocking_23_uv_fs_statfs(value x1666, value x1665,
                                        value x1664, value x1663)
{
   CAMLparam4 (x1666, x1665, x1664, x1663);;
   uv_loop_t* x1667 = CTYPES_ADDR_OF_FATPTR(x1666);
   uv_fs_t* x1668 = CTYPES_ADDR_OF_FATPTR(x1665);
   char* x1669 = CTYPES_ADDR_OF_FATPTR(x1664);
   void(* x1670)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1663);
   caml_release_runtime_system();
   int x1671 = uv_fs_statfs(x1667, x1668, x1669, x1670);
   caml_acquire_runtime_system();
   value x1672 = Val_long(x1671);
   CAMLreturnT(value, x1672);
}
value luv_stub_blocking_24_uv_fs_rename(value x1679, value x1678,
                                        value x1677, value x1676,
                                        value x1675)
{
   CAMLparam5 (x1679, x1678, x1677, x1676, x1675); ;
   uv_loop_t* x1680 = CTYPES_ADDR_OF_FATPTR(x1679);
   uv_fs_t* x1681 = CTYPES_ADDR_OF_FATPTR(x1678);
   char* x1682 = CTYPES_ADDR_OF_FATPTR(x1677);
   char* x1683 = CTYPES_ADDR_OF_FATPTR(x1676);
   void(* x1684)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1675);
   caml_release_runtime_system();
   int x1685 = uv_fs_rename(x1680, x1681, x1682, x1683, x1684);
   caml_acquire_runtime_system();
   value x1686 = Val_long(x1685);
   CAMLreturnT(value, x1686);
}
value luv_stub_blocking_25_uv_fs_fsync(value x1692, value x1691, value x1690,
                                       value x1689)
{
   CAMLparam4 (x1692, x1691, x1690, x1689);;
   uv_loop_t* x1693 = CTYPES_ADDR_OF_FATPTR(x1692);
   uv_fs_t* x1694 = CTYPES_ADDR_OF_FATPTR(x1691);
   int x1695 = Long_val(x1690);
   void(* x1698)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1689);
   caml_release_runtime_system();
   int x1699 = uv_fs_fsync(x1693, x1694, x1695, x1698);
   caml_acquire_runtime_system();
   value x1700 = Val_long(x1699);
   CAMLreturnT(value, x1700);
}
value luv_stub_blocking_26_uv_fs_fdatasync(value x1706, value x1705,
                                           value x1704, value x1703)
{
   CAMLparam4 (x1706, x1705, x1704, x1703);;
   uv_loop_t* x1707 = CTYPES_ADDR_OF_FATPTR(x1706);
   uv_fs_t* x1708 = CTYPES_ADDR_OF_FATPTR(x1705);
   int x1709 = Long_val(x1704);
   void(* x1712)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1703);
   caml_release_runtime_system();
   int x1713 = uv_fs_fdatasync(x1707, x1708, x1709, x1712);
   caml_acquire_runtime_system();
   value x1714 = Val_long(x1713);
   CAMLreturnT(value, x1714);
}
value luv_stub_blocking_27_uv_fs_ftruncate(value x1721, value x1720,
                                           value x1719, value x1718,
                                           value x1717)
{
   CAMLparam5 (x1721, x1720, x1719, x1718, x1717); ;
   uv_loop_t* x1722 = CTYPES_ADDR_OF_FATPTR(x1721);
   uv_fs_t* x1723 = CTYPES_ADDR_OF_FATPTR(x1720);
   int x1724 = Long_val(x1719);
   int64_t x1727 = Int64_val(x1718);
   void(* x1730)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1717);
   caml_release_runtime_system();
   int x1731 = uv_fs_ftruncate(x1722, x1723, x1724, x1727, x1730);
   caml_acquire_runtime_system();
   value x1732 = Val_long(x1731);
   CAMLreturnT(value, x1732);
}
value luv_stub_blocking_28_uv_fs_copyfile(value x1740, value x1739,
                                          value x1738, value x1737,
                                          value x1736, value x1735)
{
   CAMLparam5 (x1740, x1739, x1738, x1737, x1736); CAMLxparam1 (x1735);;
   uv_loop_t* x1741 = CTYPES_ADDR_OF_FATPTR(x1740);
   uv_fs_t* x1742 = CTYPES_ADDR_OF_FATPTR(x1739);
   char* x1743 = CTYPES_ADDR_OF_FATPTR(x1738);
   char* x1744 = CTYPES_ADDR_OF_FATPTR(x1737);
   int x1745 = Long_val(x1736);
   void(* x1748)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1735);
   caml_release_runtime_system();
   int x1749 = uv_fs_copyfile(x1741, x1742, x1743, x1744, x1745, x1748);
   caml_acquire_runtime_system();
   value x1750 = Val_long(x1749);
   CAMLreturnT(value, x1750);
}
value luv_stub_blocking_28_uv_fs_copyfile_byte6(value* argv, int argc)
{
   value x1753 = argv[5];
   value x1754 = argv[4];
   value x1755 = argv[3];
   value x1756 = argv[2];
   value x1757 = argv[1];
   value x1758 = argv[0];
   return
     luv_stub_blocking_28_uv_fs_copyfile(x1758, x1757, x1756, x1755, 
                                         x1754, x1753);
}
value luv_stub_blocking_29_uv_fs_sendfile(value x1765, value x1764,
                                          value x1763, value x1762,
                                          value x1761, value x1760,
                                          value x1759)
{
   CAMLparam5 (x1765, x1764, x1763, x1762, x1761);
   CAMLxparam2 (x1760, x1759);;
   uv_loop_t* x1766 = CTYPES_ADDR_OF_FATPTR(x1765);
   uv_fs_t* x1767 = CTYPES_ADDR_OF_FATPTR(x1764);
   int x1768 = Long_val(x1763);
   int x1771 = Long_val(x1762);
   int64_t x1774 = Int64_val(x1761);
   size_t x1777 = ctypes_size_t_val(x1760);
   void(* x1780)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1759);
   caml_release_runtime_system();
   int x1781 =
   uv_fs_sendfile(x1766, x1767, x1768, x1771, x1774, x1777, x1780);
   caml_acquire_runtime_system();
   value x1782 = Val_long(x1781);
   CAMLreturnT(value, x1782);
}
value luv_stub_blocking_29_uv_fs_sendfile_byte7(value* argv, int argc)
{
   value x1785 = argv[6];
   value x1786 = argv[5];
   value x1787 = argv[4];
   value x1788 = argv[3];
   value x1789 = argv[2];
   value x1790 = argv[1];
   value x1791 = argv[0];
   return
     luv_stub_blocking_29_uv_fs_sendfile(x1791, x1790, x1789, x1788, 
                                         x1787, x1786, x1785);
}
value luv_stub_blocking_30_uv_fs_access(value x1796, value x1795,
                                        value x1794, value x1793,
                                        value x1792)
{
   CAMLparam5 (x1796, x1795, x1794, x1793, x1792); ;
   uv_loop_t* x1797 = CTYPES_ADDR_OF_FATPTR(x1796);
   uv_fs_t* x1798 = CTYPES_ADDR_OF_FATPTR(x1795);
   char* x1799 = CTYPES_ADDR_OF_FATPTR(x1794);
   int x1800 = Long_val(x1793);
   void(* x1803)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1792);
   caml_release_runtime_system();
   int x1804 = uv_fs_access(x1797, x1798, x1799, x1800, x1803);
   caml_acquire_runtime_system();
   value x1805 = Val_long(x1804);
   CAMLreturnT(value, x1805);
}
value luv_stub_blocking_31_uv_fs_chmod(value x1812, value x1811, value x1810,
                                       value x1809, value x1808)
{
   CAMLparam5 (x1812, x1811, x1810, x1809, x1808); ;
   uv_loop_t* x1813 = CTYPES_ADDR_OF_FATPTR(x1812);
   uv_fs_t* x1814 = CTYPES_ADDR_OF_FATPTR(x1811);
   char* x1815 = CTYPES_ADDR_OF_FATPTR(x1810);
   int x1816 = Long_val(x1809);
   void(* x1819)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1808);
   caml_release_runtime_system();
   int x1820 = uv_fs_chmod(x1813, x1814, x1815, x1816, x1819);
   caml_acquire_runtime_system();
   value x1821 = Val_long(x1820);
   CAMLreturnT(value, x1821);
}
value luv_stub_blocking_32_uv_fs_fchmod(value x1828, value x1827,
                                        value x1826, value x1825,
                                        value x1824)
{
   CAMLparam5 (x1828, x1827, x1826, x1825, x1824); ;
   uv_loop_t* x1829 = CTYPES_ADDR_OF_FATPTR(x1828);
   uv_fs_t* x1830 = CTYPES_ADDR_OF_FATPTR(x1827);
   int x1831 = Long_val(x1826);
   int x1834 = Long_val(x1825);
   void(* x1837)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1824);
   caml_release_runtime_system();
   int x1838 = uv_fs_fchmod(x1829, x1830, x1831, x1834, x1837);
   caml_acquire_runtime_system();
   value x1839 = Val_long(x1838);
   CAMLreturnT(value, x1839);
}
value luv_stub_blocking_33_uv_fs_utime(value x1847, value x1846, value x1845,
                                       value x1844, value x1843, value x1842)
{
   CAMLparam5 (x1847, x1846, x1845, x1844, x1843); CAMLxparam1 (x1842);;
   uv_loop_t* x1848 = CTYPES_ADDR_OF_FATPTR(x1847);
   uv_fs_t* x1849 = CTYPES_ADDR_OF_FATPTR(x1846);
   char* x1850 = CTYPES_ADDR_OF_FATPTR(x1845);
   double x1851 = Double_val(x1844);
   double x1854 = Double_val(x1843);
   void(* x1857)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1842);
   caml_release_runtime_system();
   int x1858 =
   uv_fs_utime(x1848, x1849, x1850, (float)x1851, (float)x1854, x1857);
   caml_acquire_runtime_system();
   value x1859 = Val_long(x1858);
   CAMLreturnT(value, x1859);
}
value luv_stub_blocking_33_uv_fs_utime_byte6(value* argv, int argc)
{
   value x1862 = argv[5];
   value x1863 = argv[4];
   value x1864 = argv[3];
   value x1865 = argv[2];
   value x1866 = argv[1];
   value x1867 = argv[0];
   return
     luv_stub_blocking_33_uv_fs_utime(x1867, x1866, x1865, x1864, x1863,
                                      x1862);
}
value luv_stub_blocking_34_uv_fs_futime(value x1873, value x1872,
                                        value x1871, value x1870,
                                        value x1869, value x1868)
{
   CAMLparam5 (x1873, x1872, x1871, x1870, x1869); CAMLxparam1 (x1868);;
   uv_loop_t* x1874 = CTYPES_ADDR_OF_FATPTR(x1873);
   uv_fs_t* x1875 = CTYPES_ADDR_OF_FATPTR(x1872);
   int x1876 = Long_val(x1871);
   double x1879 = Double_val(x1870);
   double x1882 = Double_val(x1869);
   void(* x1885)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1868);
   caml_release_runtime_system();
   int x1886 =
   uv_fs_futime(x1874, x1875, x1876, (float)x1879, (float)x1882, x1885);
   caml_acquire_runtime_system();
   value x1887 = Val_long(x1886);
   CAMLreturnT(value, x1887);
}
value luv_stub_blocking_34_uv_fs_futime_byte6(value* argv, int argc)
{
   value x1890 = argv[5];
   value x1891 = argv[4];
   value x1892 = argv[3];
   value x1893 = argv[2];
   value x1894 = argv[1];
   value x1895 = argv[0];
   return
     luv_stub_blocking_34_uv_fs_futime(x1895, x1894, x1893, x1892, x1891,
                                       x1890);
}
value luv_stub_blocking_35_uv_fs_lutime(value x1901, value x1900,
                                        value x1899, value x1898,
                                        value x1897, value x1896)
{
   CAMLparam5 (x1901, x1900, x1899, x1898, x1897); CAMLxparam1 (x1896);;
   uv_loop_t* x1902 = CTYPES_ADDR_OF_FATPTR(x1901);
   uv_fs_t* x1903 = CTYPES_ADDR_OF_FATPTR(x1900);
   char* x1904 = CTYPES_ADDR_OF_FATPTR(x1899);
   double x1905 = Double_val(x1898);
   double x1908 = Double_val(x1897);
   void(* x1911)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1896);
   caml_release_runtime_system();
   int x1912 =
   uv_fs_lutime(x1902, x1903, x1904, (float)x1905, (float)x1908, x1911);
   caml_acquire_runtime_system();
   value x1913 = Val_long(x1912);
   CAMLreturnT(value, x1913);
}
value luv_stub_blocking_35_uv_fs_lutime_byte6(value* argv, int argc)
{
   value x1916 = argv[5];
   value x1917 = argv[4];
   value x1918 = argv[3];
   value x1919 = argv[2];
   value x1920 = argv[1];
   value x1921 = argv[0];
   return
     luv_stub_blocking_35_uv_fs_lutime(x1921, x1920, x1919, x1918, x1917,
                                       x1916);
}
value luv_stub_blocking_36_uv_fs_link(value x1926, value x1925, value x1924,
                                      value x1923, value x1922)
{
   CAMLparam5 (x1926, x1925, x1924, x1923, x1922); ;
   uv_loop_t* x1927 = CTYPES_ADDR_OF_FATPTR(x1926);
   uv_fs_t* x1928 = CTYPES_ADDR_OF_FATPTR(x1925);
   char* x1929 = CTYPES_ADDR_OF_FATPTR(x1924);
   char* x1930 = CTYPES_ADDR_OF_FATPTR(x1923);
   void(* x1931)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1922);
   caml_release_runtime_system();
   int x1932 = uv_fs_link(x1927, x1928, x1929, x1930, x1931);
   caml_acquire_runtime_system();
   value x1933 = Val_long(x1932);
   CAMLreturnT(value, x1933);
}
value luv_stub_blocking_37_uv_fs_symlink(value x1941, value x1940,
                                         value x1939, value x1938,
                                         value x1937, value x1936)
{
   CAMLparam5 (x1941, x1940, x1939, x1938, x1937); CAMLxparam1 (x1936);;
   uv_loop_t* x1942 = CTYPES_ADDR_OF_FATPTR(x1941);
   uv_fs_t* x1943 = CTYPES_ADDR_OF_FATPTR(x1940);
   char* x1944 = CTYPES_ADDR_OF_FATPTR(x1939);
   char* x1945 = CTYPES_ADDR_OF_FATPTR(x1938);
   int x1946 = Long_val(x1937);
   void(* x1949)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1936);
   caml_release_runtime_system();
   int x1950 = uv_fs_symlink(x1942, x1943, x1944, x1945, x1946, x1949);
   caml_acquire_runtime_system();
   value x1951 = Val_long(x1950);
   CAMLreturnT(value, x1951);
}
value luv_stub_blocking_37_uv_fs_symlink_byte6(value* argv, int argc)
{
   value x1954 = argv[5];
   value x1955 = argv[4];
   value x1956 = argv[3];
   value x1957 = argv[2];
   value x1958 = argv[1];
   value x1959 = argv[0];
   return
     luv_stub_blocking_37_uv_fs_symlink(x1959, x1958, x1957, x1956, x1955,
                                        x1954);
}
value luv_stub_blocking_38_uv_fs_readlink(value x1963, value x1962,
                                          value x1961, value x1960)
{
   CAMLparam4 (x1963, x1962, x1961, x1960);;
   uv_loop_t* x1964 = CTYPES_ADDR_OF_FATPTR(x1963);
   uv_fs_t* x1965 = CTYPES_ADDR_OF_FATPTR(x1962);
   char* x1966 = CTYPES_ADDR_OF_FATPTR(x1961);
   void(* x1967)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1960);
   caml_release_runtime_system();
   int x1968 = uv_fs_readlink(x1964, x1965, x1966, x1967);
   caml_acquire_runtime_system();
   value x1969 = Val_long(x1968);
   CAMLreturnT(value, x1969);
}
value luv_stub_blocking_39_uv_fs_realpath(value x1975, value x1974,
                                          value x1973, value x1972)
{
   CAMLparam4 (x1975, x1974, x1973, x1972);;
   uv_loop_t* x1976 = CTYPES_ADDR_OF_FATPTR(x1975);
   uv_fs_t* x1977 = CTYPES_ADDR_OF_FATPTR(x1974);
   char* x1978 = CTYPES_ADDR_OF_FATPTR(x1973);
   void(* x1979)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1972);
   caml_release_runtime_system();
   int x1980 = uv_fs_realpath(x1976, x1977, x1978, x1979);
   caml_acquire_runtime_system();
   value x1981 = Val_long(x1980);
   CAMLreturnT(value, x1981);
}
value luv_stub_blocking_40_uv_fs_chown(value x1989, value x1988, value x1987,
                                       value x1986, value x1985, value x1984)
{
   CAMLparam5 (x1989, x1988, x1987, x1986, x1985); CAMLxparam1 (x1984);;
   uv_loop_t* x1990 = CTYPES_ADDR_OF_FATPTR(x1989);
   uv_fs_t* x1991 = CTYPES_ADDR_OF_FATPTR(x1988);
   char* x1992 = CTYPES_ADDR_OF_FATPTR(x1987);
   int x1993 = Long_val(x1986);
   int x1996 = Long_val(x1985);
   void(* x1999)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1984);
   caml_release_runtime_system();
   int x2000 = uv_fs_chown(x1990, x1991, x1992, x1993, x1996, x1999);
   caml_acquire_runtime_system();
   value x2001 = Val_long(x2000);
   CAMLreturnT(value, x2001);
}
value luv_stub_blocking_40_uv_fs_chown_byte6(value* argv, int argc)
{
   value x2004 = argv[5];
   value x2005 = argv[4];
   value x2006 = argv[3];
   value x2007 = argv[2];
   value x2008 = argv[1];
   value x2009 = argv[0];
   return
     luv_stub_blocking_40_uv_fs_chown(x2009, x2008, x2007, x2006, x2005,
                                      x2004);
}
value luv_stub_blocking_41_uv_fs_fchown(value x2015, value x2014,
                                        value x2013, value x2012,
                                        value x2011, value x2010)
{
   CAMLparam5 (x2015, x2014, x2013, x2012, x2011); CAMLxparam1 (x2010);;
   uv_loop_t* x2016 = CTYPES_ADDR_OF_FATPTR(x2015);
   uv_fs_t* x2017 = CTYPES_ADDR_OF_FATPTR(x2014);
   int x2018 = Long_val(x2013);
   int x2021 = Long_val(x2012);
   int x2024 = Long_val(x2011);
   void(* x2027)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x2010);
   caml_release_runtime_system();
   int x2028 = uv_fs_fchown(x2016, x2017, x2018, x2021, x2024, x2027);
   caml_acquire_runtime_system();
   value x2029 = Val_long(x2028);
   CAMLreturnT(value, x2029);
}
value luv_stub_blocking_41_uv_fs_fchown_byte6(value* argv, int argc)
{
   value x2032 = argv[5];
   value x2033 = argv[4];
   value x2034 = argv[3];
   value x2035 = argv[2];
   value x2036 = argv[1];
   value x2037 = argv[0];
   return
     luv_stub_blocking_41_uv_fs_fchown(x2037, x2036, x2035, x2034, x2033,
                                       x2032);
}
value luv_stub_blocking_42_uv_fs_lchown(value x2043, value x2042,
                                        value x2041, value x2040,
                                        value x2039, value x2038)
{
   CAMLparam5 (x2043, x2042, x2041, x2040, x2039); CAMLxparam1 (x2038);;
   uv_loop_t* x2044 = CTYPES_ADDR_OF_FATPTR(x2043);
   uv_fs_t* x2045 = CTYPES_ADDR_OF_FATPTR(x2042);
   char* x2046 = CTYPES_ADDR_OF_FATPTR(x2041);
   int x2047 = Long_val(x2040);
   int x2050 = Long_val(x2039);
   void(* x2053)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x2038);
   caml_release_runtime_system();
   int x2054 = uv_fs_lchown(x2044, x2045, x2046, x2047, x2050, x2053);
   caml_acquire_runtime_system();
   value x2055 = Val_long(x2054);
   CAMLreturnT(value, x2055);
}
value luv_stub_blocking_42_uv_fs_lchown_byte6(value* argv, int argc)
{
   value x2058 = argv[5];
   value x2059 = argv[4];
   value x2060 = argv[3];
   value x2061 = argv[2];
   value x2062 = argv[1];
   value x2063 = argv[0];
   return
     luv_stub_blocking_42_uv_fs_lchown(x2063, x2062, x2061, x2060, x2059,
                                       x2058);
}
value luv_stub_blocking_43_uv_fs_get_result(value x2064)
{
   CAMLparam1 (x2064);;
   uv_fs_t* x2065 = CTYPES_ADDR_OF_FATPTR(x2064);
   caml_release_runtime_system();
   ssize_t x2066 = uv_fs_get_result(x2065);
   caml_acquire_runtime_system();
   value x2067 = caml_copy_int32(x2066);
   CAMLreturnT(value, x2067);
}
value luv_stub_blocking_44_uv_fs_get_ptr(value x2070)
{
   CAMLparam1 (x2070);;
   uv_fs_t* x2071 = CTYPES_ADDR_OF_FATPTR(x2070);
   caml_release_runtime_system();
   void* x2072 = uv_fs_get_ptr(x2071);
   caml_acquire_runtime_system();
   value x2073 = CTYPES_FROM_PTR(x2072);
   CAMLreturnT(value, x2073);
}
value luv_stub_blocking_45_uv_fs_get_ptr(value x2076)
{
   CAMLparam1 (x2076);;
   uv_fs_t* x2077 = CTYPES_ADDR_OF_FATPTR(x2076);
   caml_release_runtime_system();
   char* x2078 = uv_fs_get_ptr(x2077);
   caml_acquire_runtime_system();
   value x2079 = CTYPES_FROM_PTR(x2078);
   CAMLreturnT(value, x2079);
}
value luv_stub_blocking_46_luv_fs_get_path(value x2082)
{
   CAMLparam1 (x2082);;
   uv_fs_t* x2083 = CTYPES_ADDR_OF_FATPTR(x2082);
   caml_release_runtime_system();
   char* x2084 = luv_fs_get_path(x2083);
   caml_acquire_runtime_system();
   value x2085 = CTYPES_FROM_PTR(x2084);
   CAMLreturnT(value, x2085);
}
value luv_stub_blocking_47_uv_fs_get_statbuf(value x2088)
{
   CAMLparam1 (x2088);;
   uv_fs_t* x2089 = CTYPES_ADDR_OF_FATPTR(x2088);
   caml_release_runtime_system();
   uv_stat_t* x2090 = uv_fs_get_statbuf(x2089);
   caml_acquire_runtime_system();
   value x2091 = CTYPES_FROM_PTR(x2090);
   CAMLreturnT(value, x2091);
}
value luv_stub_blocking_48_uv_thread_join(value x2094)
{
   CAMLparam1 (x2094);;
   uv_thread_t* x2095 = CTYPES_ADDR_OF_FATPTR(x2094);
   caml_release_runtime_system();
   int x2096 = uv_thread_join(x2095);
   caml_acquire_runtime_system();
   value x2097 = Val_long(x2096);
   CAMLreturnT(value, x2097);
}
value luv_stub_blocking_49_uv_mutex_lock(value x2100)
{
   CAMLparam1 (x2100);;
   uv_mutex_t* x2101 = CTYPES_ADDR_OF_FATPTR(x2100);
   caml_release_runtime_system();
   uv_mutex_lock(x2101);
   caml_acquire_runtime_system();
   value x2103 = Val_unit;
   CAMLreturnT(value, x2103);
}
value luv_stub_blocking_50_uv_rwlock_rdlock(value x2106)
{
   CAMLparam1 (x2106);;
   uv_rwlock_t* x2107 = CTYPES_ADDR_OF_FATPTR(x2106);
   caml_release_runtime_system();
   uv_rwlock_rdlock(x2107);
   caml_acquire_runtime_system();
   value x2109 = Val_unit;
   CAMLreturnT(value, x2109);
}
value luv_stub_blocking_51_uv_rwlock_wrlock(value x2112)
{
   CAMLparam1 (x2112);;
   uv_rwlock_t* x2113 = CTYPES_ADDR_OF_FATPTR(x2112);
   caml_release_runtime_system();
   uv_rwlock_wrlock(x2113);
   caml_acquire_runtime_system();
   value x2115 = Val_unit;
   CAMLreturnT(value, x2115);
}
value luv_stub_blocking_52_uv_sem_wait(value x2118)
{
   CAMLparam1 (x2118);;
   uv_sem_t* x2119 = CTYPES_ADDR_OF_FATPTR(x2118);
   caml_release_runtime_system();
   uv_sem_wait(x2119);
   caml_acquire_runtime_system();
   value x2121 = Val_unit;
   CAMLreturnT(value, x2121);
}
value luv_stub_blocking_53_uv_cond_wait(value x2125, value x2124)
{
   CAMLparam2 (x2125, x2124);;
   uv_cond_t* x2126 = CTYPES_ADDR_OF_FATPTR(x2125);
   uv_mutex_t* x2127 = CTYPES_ADDR_OF_FATPTR(x2124);
   caml_release_runtime_system();
   uv_cond_wait(x2126, x2127);
   caml_acquire_runtime_system();
   value x2129 = Val_unit;
   CAMLreturnT(value, x2129);
}
value luv_stub_blocking_54_uv_cond_timedwait(value x2134, value x2133,
                                             value x2132)
{
   CAMLparam3 (x2134, x2133, x2132);;
   uv_cond_t* x2135 = CTYPES_ADDR_OF_FATPTR(x2134);
   uv_mutex_t* x2136 = CTYPES_ADDR_OF_FATPTR(x2133);
   uint64_t x2137 = Uint64_val(x2132);
   caml_release_runtime_system();
   int x2140 = uv_cond_timedwait(x2135, x2136, x2137);
   caml_acquire_runtime_system();
   value x2141 = Val_long(x2140);
   CAMLreturnT(value, x2141);
}
value luv_stub_blocking_55_uv_barrier_wait(value x2144)
{
   CAMLparam1 (x2144);;
   uv_barrier_t* x2145 = CTYPES_ADDR_OF_FATPTR(x2144);
   caml_release_runtime_system();
   _Bool x2146 = uv_barrier_wait(x2145);
   caml_acquire_runtime_system();
   value x2147 = Val_bool(x2146);
   CAMLreturnT(value, x2147);
}
value luv_stub_blocking_56_uv_sleep(value x2150)
{
   CAMLparam1 (x2150);;
   int x2151 = Long_val(x2150);
   caml_release_runtime_system();
   uv_sleep(x2151);
   caml_acquire_runtime_system();
   value x2155 = Val_unit;
   CAMLreturnT(value, x2155);
}
value luv_stub_blocking_57_uv_random(value x2163, value x2162, value x2161,
                                     value x2160, value x2159, value x2158)
{
   CAMLparam5 (x2163, x2162, x2161, x2160, x2159); CAMLxparam1 (x2158);;
   uv_loop_t* x2164 = CTYPES_ADDR_OF_FATPTR(x2163);
   uv_random_t* x2165 = CTYPES_ADDR_OF_FATPTR(x2162);
   char* x2166 = CTYPES_ADDR_OF_FATPTR(x2161);
   size_t x2167 = ctypes_size_t_val(x2160);
   unsigned int x2170 = ctypes_uint_val(x2159);
   void(* x2173)(uv_random_t*, int, void*, size_t) =
   CTYPES_ADDR_OF_FATPTR(x2158);
   caml_release_runtime_system();
   int x2174 = uv_random(x2164, x2165, x2166, x2167, x2170, x2173);
   caml_acquire_runtime_system();
   value x2175 = Val_long(x2174);
   CAMLreturnT(value, x2175);
}
value luv_stub_blocking_57_uv_random_byte6(value* argv, int argc)
{
   value x2178 = argv[5];
   value x2179 = argv[4];
   value x2180 = argv[3];
   value x2181 = argv[2];
   value x2182 = argv[1];
   value x2183 = argv[0];
   return
     luv_stub_blocking_57_uv_random(x2183, x2182, x2181, x2180, x2179, x2178);
}
